#include "arrayez_-server.h"

void flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, const arrays_arr8 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 8;
  flick_fluke_encode_new_glob(32);
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(32);
}

void flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 8;
  flick_fluke_decode_new_glob(32);
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(32);
}

void flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, const arrays_arr256 *_data)
{
  flick_unsigned16_t _t6_array_length;
  flick_unsigned16_t _t8_array_iter;

  _t6_array_length = 256;
  flick_fluke_encode_new_glob(1024);
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(1024);
}

void flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned16_t _t9_array_length;
  flick_unsigned16_t _t11_array_iter;

  _t9_array_length = 256;
  flick_fluke_decode_new_glob(1024);
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(1024);
}

void flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, const arrays_arr8k *_data)
{
  flick_unsigned16_t _t12_array_length;
  flick_unsigned16_t _t14_array_iter;

  _t12_array_length = 8192;
  flick_fluke_encode_new_glob(4 * _t12_array_length);
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(4 * _t12_array_length);
}

void flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned16_t _t15_array_length;
  flick_unsigned16_t _t17_array_iter;

  _t15_array_length = 8192;
  flick_fluke_decode_new_glob(4 * _t15_array_length);
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(4 * _t15_array_length);
}

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data)
{
}

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
}

mom_dispatch_action_t arrays_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t31_switch_tag;

    flick_fluke_decode_new_glob(1028);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t31_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t31_switch_tag)
      {
      case req_arrays_test8:
        {
          {
            arrays *_obj;
            arrays_arr8 _local_a;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t32_storage;
            flick_unsigned8_t _t33_array_length;
            flick_unsigned8_t _t35_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _ev = &_t32_storage;
            /* Begin decode phase on parameters */
            _t33_array_length = 8;
            for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a[_t35_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(1028);
            flick_mom_init_environment();
            _return = arrays_server_test8(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test256:
        {
          {
            arrays *_obj;
            arrays_arr256 _local_a;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t36_storage;
            flick_unsigned16_t _t37_array_length;
            flick_unsigned16_t _t39_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _ev = &_t36_storage;
            /* Begin decode phase on parameters */
            _t37_array_length = 256;
            for (_t39_array_iter = 0; _t39_array_iter < _t37_array_length; _t39_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a[_t39_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(1028);
            flick_mom_init_environment();
            _return = arrays_server_test256(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_arrays_test8k:
        {
          {
            arrays *_obj;
            arrays_arr8k _local_a;
            mom_exc_t *_ev;
            int32_t _return;
            mom_exc_t _t40_storage;
            flick_unsigned16_t _t41_array_length;
            flick_unsigned16_t _t43_array_iter;

            _obj = (arrays *)_dispatch_obj;
            _ev = &_t40_storage;
            /* Begin decode phase on parameters */
            _t41_array_length = 8192;
            flick_fluke_decode_end_glob(1028);
            flick_fluke_decode_new_glob(4 * _t41_array_length);
            for (_t43_array_iter = 0; _t43_array_iter < _t41_array_length; _t43_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a[_t43_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(4 * _t41_array_length);
            flick_mom_init_environment();
            _return = arrays_server_test8k(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(8);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(1028);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
