#include "impldef-client.h"

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_longstring(_data->_buffer[_t1_array_iter], null_flick_free, fluke);
    }
}

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char *));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_longstring(_data->_buffer[_t3_array_iter], mom_flick_alloc, fluke);
    }
}

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data)
{
  unsigned long int _t5_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data)
{
  unsigned long int _t9_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data)
{
  unsigned long int _t11_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  for (_t11_array_iter = 0; _t11_array_iter < _data->_length; _t11_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t11_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data)
{
  unsigned long int _t13_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t13_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data)
{
  unsigned long int _t15_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t15_array_iter = 0; _t15_array_iter < _data->_length; _t15_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t15_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data)
{
  unsigned long int _t17_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t17_array_iter = 0; _t17_array_iter < _data->_length; _t17_array_iter++)
    {
      flick_fluke_encode_longstring(_data->_buffer[_t17_array_iter], null_flick_free, fluke);
    }
}

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data)
{
  unsigned long int _t19_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char *));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  for (_t19_array_iter = 0; _t19_array_iter < _data->_length; _t19_array_iter++)
    {
      flick_fluke_decode_longstring(_data->_buffer[_t19_array_iter], mom_flick_alloc, fluke);
    }
}

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data)
{
  unsigned long int _t21_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->_length);
  for (_t21_array_iter = 0; _t21_array_iter < _data->_length; _t21_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t21_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data)
{
  unsigned long int _t23_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->_length);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t23_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(4 * _data->_length);
}

char *CORBA_ImplementationDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ImplementationDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(interface_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

char *CORBA_ImplementationDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ImplementationDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(object_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_ReferenceData *CORBA_ImplementationDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t27_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(CORBA_ReferenceData ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(u_int8_t ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(1 * _return->_length);
          for (_t27_array_iter = 0; _t27_array_iter < _return->_length; _t27_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_unsigned8(0, _return->_buffer[_t27_array_iter]);
              flick_fluke_decode_end_chunk(1);
            }
          flick_fluke_decode_end_glob(1 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ImplementationDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t31_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, id->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(1 * id->_length);
    for (_t31_array_iter = 0; _t31_array_iter < id->_length; _t31_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_unsigned8(0, id->_buffer[_t31_array_iter]);
        flick_fluke_encode_end_chunk(1);
      }
    flick_fluke_encode_end_glob(1 * id->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, *_data);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, *_data);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

char *CORBA_CreationImplDef__get_path_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_path_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_path_name(mom_ref_t _obj, const char *path_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_path_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(path_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_Policy CORBA_CreationImplDef__get_activation_policy(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_Policy _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_activation_policy);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_activation_policy(mom_ref_t _obj, CORBA_Policy activation_policy, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_activation_policy);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, activation_policy);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_StringSequence *CORBA_CreationImplDef__get_args(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_StringSequence *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_args);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t35_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(CORBA_StringSequence ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(char *));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          for (_t35_array_iter = 0; _t35_array_iter < _return->_length; _t35_array_iter++)
            {
              flick_fluke_decode_longstring(_return->_buffer[_t35_array_iter], mom_flick_alloc, fluke);
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_args(mom_ref_t _obj, const CORBA_StringSequence *args, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t39_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_args);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, args->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    for (_t39_array_iter = 0; _t39_array_iter < args->_length; _t39_array_iter++)
      {
        flick_fluke_encode_longstring(args->_buffer[_t39_array_iter], null_flick_free, fluke);
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_StringSequence *CORBA_CreationImplDef__get_env(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_StringSequence *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__get_env);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t43_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(CORBA_StringSequence ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(char *));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          for (_t43_array_iter = 0; _t43_array_iter < _return->_length; _t43_array_iter++)
            {
              flick_fluke_decode_longstring(_return->_buffer[_t43_array_iter], mom_flick_alloc, fluke);
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_env(mom_ref_t _obj, const CORBA_StringSequence *env, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t47_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_CreationImplDef__set_env);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, env->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    for (_t47_array_iter = 0; _t47_array_iter < env->_length; _t47_array_iter++)
      {
        flick_fluke_encode_longstring(env->_buffer[_t47_array_iter], null_flick_free, fluke);
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

char *CORBA_CreationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(interface_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

char *CORBA_CreationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(object_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_ReferenceData *CORBA_CreationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t51_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(CORBA_ReferenceData ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(u_int8_t ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(1 * _return->_length);
          for (_t51_array_iter = 0; _t51_array_iter < _return->_length; _t51_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_unsigned8(0, _return->_buffer[_t51_array_iter]);
              flick_fluke_decode_end_chunk(1);
            }
          flick_fluke_decode_end_glob(1 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_CreationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t55_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, id->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(1 * id->_length);
    for (_t55_array_iter = 0; _t55_array_iter < id->_length; _t55_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_unsigned8(0, id->_buffer[_t55_array_iter]);
        flick_fluke_encode_end_chunk(1);
      }
    flick_fluke_encode_end_glob(1 * id->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

mom_ref_t CORBA_Activator_activate(mom_ref_t _obj, const mom_ref_t impl, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_Activator_activate);
    /* Begin encode phase on parameters */
    flick_fluke_encode_port32(4, impl, 0);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(0);
          flick_fluke_decode_port32(0, _return, 1);
          flick_fluke_decode_end_chunk(0);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_Activator_deactivate(mom_ref_t _obj, const mom_ref_t obj, const mom_ref_t impl, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_Activator_deactivate);
    /* Begin encode phase on parameters */
    flick_fluke_encode_port32(4, obj, 0);
    flick_fluke_encode_port32(4, impl, 0);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

mom_ref_t CORBA_ActivationImplDef__get_activator_obj(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  mom_ref_t _return;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ActivationImplDef__get_activator_obj);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(0);
          flick_fluke_decode_port32(0, _return, 1);
          flick_fluke_decode_end_chunk(0);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ActivationImplDef__set_activator_obj(mom_ref_t _obj, const mom_ref_t activator_obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ActivationImplDef__set_activator_obj);
    /* Begin encode phase on parameters */
    flick_fluke_encode_port32(4, activator_obj, 0);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

char *CORBA_ActivationImplDef__get_interface_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_interface_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ActivationImplDef__set_interface_name(mom_ref_t _obj, const char *interface_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_interface_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(interface_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

char *CORBA_ActivationImplDef__get_object_name(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_object_name);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_end_glob(4);
          flick_fluke_decode_longstring(_return, mom_flick_alloc, fluke);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(4);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ActivationImplDef__set_object_name(mom_ref_t _obj, const char *object_name, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_object_name);
    /* Begin encode phase on parameters */
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
    flick_fluke_encode_longstring(object_name, null_flick_free, fluke);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

CORBA_ReferenceData *CORBA_ActivationImplDef__get_id(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  CORBA_ReferenceData *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__get_id);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t59_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(CORBA_ReferenceData ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(u_int8_t ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(1 * _return->_length);
          for (_t59_array_iter = 0; _t59_array_iter < _return->_length; _t59_array_iter++)
            {
              flick_fluke_decode_new_chunk(1);
              flick_fluke_decode_unsigned8(0, _return->_buffer[_t59_array_iter]);
              flick_fluke_decode_end_chunk(1);
            }
          flick_fluke_decode_end_glob(1 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void CORBA_ActivationImplDef__set_id(mom_ref_t _obj, const CORBA_ReferenceData *id, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t63_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_ImplementationDef__set_id);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, id->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(1 * id->_length);
    for (_t63_array_iter = 0; _t63_array_iter < id->_length; _t63_array_iter++)
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_unsigned8(0, id->_buffer[_t63_array_iter]);
        flick_fluke_encode_end_chunk(1);
      }
    flick_fluke_encode_end_glob(1 * id->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

