#include "nest-refs-server.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
  mom_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t5_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _data->_length);
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
  flick_fluke_encode_end_glob(1 * _data->_length);
  mom_flick_free(_data->_buffer);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(u_int8_t ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _data->_length);
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
  flick_fluke_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t27_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t27_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t27_switch_tag)
      {
      case req_test__get_id:
        {
          {
            test *_obj;
            mom_exc_t *_ev;
            ReferenceData *_return = 0;
            mom_exc_t _t28_storage;

            _obj = (test *)_dispatch_obj;
            _ev = &_t28_storage;
            flick_fluke_decode_end_glob(8);
            flick_mom_init_environment();
            _return = test_server__get_id(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t32_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  for (_t32_array_iter = 0; _t32_array_iter < _return->_length; _t32_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_unsigned8(0, _return->_buffer[_t32_array_iter]);
                      flick_fluke_encode_end_chunk(1);
                    }
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__set_id:
        {
          {
            test *_obj;
            ReferenceData *_local_id;
            mom_exc_t *_ev;
            mom_exc_t _t33_storage;
            ReferenceData _t34_storage;
            unsigned long int _t36_array_iter;

            _obj = (test *)_dispatch_obj;
            _ev = &_t33_storage;
            /* Begin decode phase on parameters */
            _local_id = &_t34_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_id->_length);
            _local_id->_buffer = auto_flick_alloc(_local_id->_length * sizeof(u_int8_t ));
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_id->_length);
            for (_t36_array_iter = 0; _t36_array_iter < _local_id->_length; _t36_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_unsigned8(0, _local_id->_buffer[_t36_array_iter]);
                flick_fluke_decode_end_chunk(1);
              }
            flick_fluke_decode_end_glob(1 * _local_id->_length);
            flick_mom_init_environment();
            test_server__set_id(_obj, _local_id, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__get_info:
        {
          {
            test *_obj;
            mom_exc_t *_ev;
            OctetSequence *_return = 0;
            mom_exc_t _t37_storage;

            _obj = (test *)_dispatch_obj;
            _ev = &_t37_storage;
            flick_fluke_decode_end_glob(8);
            flick_mom_init_environment();
            _return = test_server__get_info(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t41_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _return->_length);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_new_glob(1 * _return->_length);
                  for (_t41_array_iter = 0; _t41_array_iter < _return->_length; _t41_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(1);
                      flick_fluke_encode_unsigned8(0, _return->_buffer[_t41_array_iter]);
                      flick_fluke_encode_end_chunk(1);
                    }
                  flick_fluke_encode_end_glob(1 * _return->_length);
                  mom_flick_free(_return->_buffer);
                  mom_flick_free(_return);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test__set_info:
        {
          {
            test *_obj;
            OctetSequence *_local_info;
            mom_exc_t *_ev;
            mom_exc_t _t42_storage;
            OctetSequence _t43_storage;
            unsigned long int _t45_array_iter;

            _obj = (test *)_dispatch_obj;
            _ev = &_t42_storage;
            /* Begin decode phase on parameters */
            _local_info = &_t43_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_info->_length);
            _local_info->_buffer = auto_flick_alloc(_local_info->_length * sizeof(u_int8_t ));
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(1 * _local_info->_length);
            for (_t45_array_iter = 0; _t45_array_iter < _local_info->_length; _t45_array_iter++)
              {
                flick_fluke_decode_new_chunk(1);
                flick_fluke_decode_unsigned8(0, _local_info->_buffer[_t45_array_iter]);
                flick_fluke_decode_end_chunk(1);
              }
            flick_fluke_decode_end_glob(1 * _local_info->_length);
            flick_mom_init_environment();
            test_server__set_info(_obj, _local_info, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(4);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
