#include "sequence_-client.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

int16_t TestSeq_Sequencer(mom_ref_t _obj, seq *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int16_t _return;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t7_array_iter;

    flick_fluke_encode_new_glob(48);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_TestSeq_Sequencer);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a->_length);
    flick_fluke_encode_end_chunk(8);
    for (_t7_array_iter = 0; _t7_array_iter < a->_length; _t7_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a->_buffer[_t7_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(48);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(50);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t11_array_iter;

          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, a->_length);
          a->_buffer = mom_flick_alloc(a->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t11_array_iter = 0; _t11_array_iter < a->_length; _t11_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, a->_buffer[_t11_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(2);
          flick_fluke_decode_signed16(0, _return);
          flick_fluke_decode_end_chunk(2);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(50);
  }
  flick_fluke_client_end_decode();
  return _return;
}

