#include "sequence_-server.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
}

mom_dispatch_action_t TestSeq_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t13_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t13_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t13_switch_tag)
      {
      case req_TestSeq_Sequencer:
        {
          {
            TestSeq *_obj;
            seq *_local_a;
            mom_exc_t *_ev;
            int16_t _return;
            mom_exc_t _t14_storage;
            seq _t15_storage;
            unsigned long int _t17_array_iter;

            _obj = (TestSeq *)_dispatch_obj;
            _ev = &_t14_storage;
            /* Begin decode phase on parameters */
            _local_a = &_t15_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            _local_a->_buffer = mom_flick_alloc(_local_a->_length * sizeof(int32_t ));
            flick_fluke_decode_end_chunk(4);
            for (_t17_array_iter = 0; _t17_array_iter < _local_a->_length; _t17_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_signed32(0, _local_a->_buffer[_t17_array_iter]);
                flick_fluke_decode_end_chunk(4);
              }
            flick_fluke_decode_end_glob(48);
            flick_mom_init_environment();
            _return = TestSeq_server_Sequencer(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(50);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  unsigned long int _t21_array_iter;

                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_unsigned32(0, _local_a->_length);
                  flick_fluke_encode_end_chunk(4);
                  for (_t21_array_iter = 0; _t21_array_iter < _local_a->_length; _t21_array_iter++)
                    {
                      flick_fluke_encode_new_chunk(4);
                      flick_fluke_encode_signed32(0, _local_a->_buffer[_t21_array_iter]);
                      flick_fluke_encode_end_chunk(4);
                    }
                  mom_flick_free(_local_a->_buffer);
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(50);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
