#include "union-3-server.h"

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator);
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->foo_u.one);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, _data->foo_u.two);
        flick_fluke_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        flick_fluke_encode_new_chunk(1);
        flick_fluke_encode_char8(0, _data->foo_u.def);
        flick_fluke_encode_end_chunk(1);
        break;
      }
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator);
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->foo_u.one);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_signed32(0, _data->foo_u.two);
        flick_fluke_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        flick_fluke_decode_new_chunk(1);
        flick_fluke_decode_char8(0, _data->foo_u.def);
        flick_fluke_decode_end_chunk(1);
        break;
      }
    }
  flick_fluke_decode_end_glob(8);
}

mom_dispatch_action_t prog_2(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t2_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t2_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct foo *_local_arg;
            struct svc_req *_obj;
            struct foo *_return = 0;
            struct foo _t3_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t3_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_arg->discriminator);
            flick_fluke_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_arg->foo_u.one);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, _local_arg->foo_u.two);
                  flick_fluke_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              default:
                {
                  flick_fluke_decode_new_chunk(1);
                  flick_fluke_decode_char8(0, _local_arg->foo_u.def);
                  flick_fluke_decode_end_chunk(1);
                  break;
                }
              }
            flick_fluke_decode_end_glob(12);
            flick_sun_init_environment();
            _return = op_2(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return->discriminator);
                  flick_fluke_encode_end_chunk(4);
                  switch (_return->discriminator)
                    {
                    case 1:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _return->foo_u.one);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_fluke_encode_new_chunk(4);
                        flick_fluke_encode_signed32(0, _return->foo_u.two);
                        flick_fluke_encode_end_chunk(4);
                        break;
                      }
                    case 3:
                      {
                        break;
                      }
                    default:
                      {
                        flick_fluke_encode_new_chunk(1);
                        flick_fluke_encode_char8(0, _return->foo_u.def);
                        flick_fluke_encode_end_chunk(1);
                        break;
                      }
                    }
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                }
              }
            flick_fluke_encode_end_glob(12);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
