#ifndef _interface__server_h_
#define _interface__server_h_

#include <flick/link/mach3mig.h>

#include <flick/encode/mach3mig.h>

#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  CORBA_long *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___long10
#define _typedef___long10
typedef struct CORBA_sequence_integer long10;
#endif /* _typedef___long10 */

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data);

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data);

#ifndef _typedef___math
#define _typedef___math
typedef CORBA_Object math;
#endif /* _typedef___math */

void flick_marshal_stub_math(flick_marshal_stream_t _stream, const math *_data);

void flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data);

extern flick_dispatch_t math_server;

CORBA_short math_addshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_short math_subshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_short math_multshort(math _obj, CORBA_short a, CORBA_short b, CORBA_Environment *_ev);

CORBA_long math_addlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_sublong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_multlong(math _obj, CORBA_long a, CORBA_long b, CORBA_Environment *_ev);

CORBA_long math_addlonglist(math _obj, long10 *a, CORBA_Environment *_ev);

CORBA_long math_multlonglist(math _obj, long10 *a, CORBA_Environment *_ev);

#endif /* _interface__server_h_ */
