#include "simple-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(60);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(60);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(60);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(60);
}

void flick_marshal_stub_simple(flick_marshal_stream_t _stream, const simple *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple_op(simple _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a);
    flick_mach3mig_encode_signed32(40, *c);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t9_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t9_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t9_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t10_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t10_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t10_switch_tag)
            {
            case '$':
              {
                char _t11_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t11_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t11_switch_tag)
                  {
                  case 'o':
                    {
                      char _t12_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t12_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t12_switch_tag)
                        {
                        case 'p':
                          {
                            char _t13_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t13_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t13_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_port(0, *b, 1);
                                        flick_mach3mig_decode_signed32(8, *c);
                                        flick_mach3mig_decode_signed32(16, _return);
                                        flick_mach3mig_decode_end_chunk(24);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void flick_marshal_stub_simple2(flick_marshal_stream_t _stream, const simple2 *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple2_op2(simple2 _obj, CORBA_long a, simple b, simple2 *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '2');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(40, a);
    flick_mach3mig_encode_port(48, b, 1);
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(1);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t20_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t20_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t20_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t21_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t21_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t21_switch_tag)
            {
            case '$':
              {
                char _t22_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t22_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t22_switch_tag)
                  {
                  case 'o':
                    {
                      char _t23_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t23_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t23_switch_tag)
                        {
                        case 'p':
                          {
                            char _t24_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t24_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t24_switch_tag)
                              {
                              case '2':
                                {
                                  char _t25_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t25_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t25_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(16);
                                              flick_mach3mig_decode_port(0, *c, 1);
                                              flick_mach3mig_decode_signed32(8, _return);
                                              flick_mach3mig_decode_end_chunk(16);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long simple2_op(simple2 _obj, CORBA_long a, simple *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(32, a);
    flick_mach3mig_encode_signed32(40, *c);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t31_switch_tag;

    flick_mach3mig_decode_new_glob(72);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t31_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t31_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t32_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t32_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t32_switch_tag)
            {
            case '$':
              {
                char _t33_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t33_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t33_switch_tag)
                  {
                  case 'o':
                    {
                      char _t34_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t34_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t34_switch_tag)
                        {
                        case 'p':
                          {
                            char _t35_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t35_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t35_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(24);
                                        flick_mach3mig_decode_port(0, *b, 1);
                                        flick_mach3mig_decode_signed32(8, *c);
                                        flick_mach3mig_decode_signed32(16, _return);
                                        flick_mach3mig_decode_end_chunk(24);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(72);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

