#include "structnestez_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->f);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->f);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->f.f);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->f.f);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const struct bar_foo *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->f);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->f);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed16(0, _data->f.f);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed16(0, _data->f.f);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct bar test_op(test _obj, struct bar *arg, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct bar _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(32, arg->f.f);
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t5_switch_tag;

    flick_mach3mig_decode_new_glob(56);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t5_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t5_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t6_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t6_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t6_switch_tag)
            {
            case '$':
              {
                char _t7_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t7_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t7_switch_tag)
                  {
                  case 'o':
                    {
                      char _t8_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t8_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t8_switch_tag)
                        {
                        case 'p':
                          {
                            char _t9_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t9_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t9_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed16(0, _return.f.f);
                                        flick_mach3mig_decode_end_chunk(8);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(56);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct b test_op2(test _obj, struct b *arg, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct b _return;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(48);
    flick_mach3mig_encode_new_chunk(48);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, '2');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(40, arg->f.f);
    flick_mach3mig_encode_end_chunk(48);
    flick_mach3mig_encode_end_glob(48);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t16_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t16_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t16_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t17_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t17_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t17_switch_tag)
            {
            case '$':
              {
                char _t18_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t18_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t18_switch_tag)
                  {
                  case 'o':
                    {
                      char _t19_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t19_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t19_switch_tag)
                        {
                        case 'p':
                          {
                            char _t20_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t20_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t20_switch_tag)
                              {
                              case '2':
                                {
                                  char _t21_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t21_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed16(0, _return.f.f);
                                              flick_mach3mig_decode_end_chunk(8);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(64);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

