#include "ttcp-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(16);
  flick_mach3mig_encode_signed32(0, _data->xx);
  flick_mach3mig_encode_signed32(8, _data->yy);
  flick_mach3mig_encode_end_chunk(16);
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(16);
  flick_mach3mig_decode_signed32(0, _data->xx);
  flick_mach3mig_decode_signed32(8, _data->yy);
  flick_mach3mig_decode_end_chunk(16);
  flick_mach3mig_decode_end_glob(16);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  flick_mach3mig_encode_new_glob(32);
  flick_mach3mig_encode_new_chunk(32);
  flick_mach3mig_encode_signed32(0, _data->x.xx);
  flick_mach3mig_encode_signed32(8, _data->x.yy);
  flick_mach3mig_encode_signed32(16, _data->y.xx);
  flick_mach3mig_encode_signed32(24, _data->y.yy);
  flick_mach3mig_encode_end_chunk(32);
  flick_mach3mig_encode_end_glob(32);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  flick_mach3mig_decode_new_glob(32);
  flick_mach3mig_decode_new_chunk(32);
  flick_mach3mig_decode_signed32(0, _data->x.xx);
  flick_mach3mig_decode_signed32(8, _data->x.yy);
  flick_mach3mig_decode_signed32(16, _data->y.xx);
  flick_mach3mig_decode_signed32(24, _data->y.yy);
  flick_mach3mig_decode_end_chunk(32);
  flick_mach3mig_decode_end_glob(32);
}

void flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  flick_mach3mig_encode_new_glob(32 * _data->_length);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_encode_new_chunk(32);
      flick_mach3mig_encode_signed32(0, _data->_buffer[_t1_array_iter].x.xx);
      flick_mach3mig_encode_signed32(8, _data->_buffer[_t1_array_iter].x.yy);
      flick_mach3mig_encode_signed32(16, _data->_buffer[_t1_array_iter].y.xx);
      flick_mach3mig_encode_signed32(24, _data->_buffer[_t1_array_iter].y.yy);
      flick_mach3mig_encode_end_chunk(32);
    }
  flick_mach3mig_encode_end_glob(32 * _data->_length);
}

void flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(struct b ));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  flick_mach3mig_decode_new_glob(32 * _data->_length);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_decode_new_chunk(32);
      flick_mach3mig_decode_signed32(0, _data->_buffer[_t3_array_iter].x.xx);
      flick_mach3mig_decode_signed32(8, _data->_buffer[_t3_array_iter].x.yy);
      flick_mach3mig_decode_signed32(16, _data->_buffer[_t3_array_iter].y.xx);
      flick_mach3mig_decode_signed32(24, _data->_buffer[_t3_array_iter].y.yy);
      flick_mach3mig_decode_end_chunk(32);
    }
  flick_mach3mig_decode_end_glob(32 * _data->_length);
}

void flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  unsigned long int _t5_array_iter;

  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_signed32_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(4 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, _data->_buffer[_t5_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  unsigned long int _t7_array_iter;

  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_mach3mig_array_decode_signed32_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(4 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->baloney);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->baloney);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

void flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long ttcp_inttest(ttcp _obj, intBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t11_array_iter;

    flick_mach3mig_encode_new_glob(92);
    flick_mach3mig_encode_new_chunk(92);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'i');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 's');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(72, data->_length);
    flick_mach3mig_array_encode_signed32_type(80, data->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(92);
    flick_mach3mig_array_encode_end_glob(92);
    flick_mach3mig_array_encode_new_glob(4 * data->_length);
#if 0 /* We don't need to ever to bit translation */
    for (_t11_array_iter = 0; _t11_array_iter < data->_length; _t11_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, data->_buffer[_t11_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(data->_buffer, sizeof(long) * data->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_array_encode_end_glob(4 * data->_length);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t22_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t22_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t22_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t23_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t23_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t23_switch_tag)
            {
            case '$':
              {
                char _t24_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t24_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t24_switch_tag)
                  {
                  case 'i':
                    {
                      char _t25_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t25_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t25_switch_tag)
                        {
                        case 'n':
                          {
                            char _t26_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t26_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t26_switch_tag)
                              {
                              case 't':
                                {
                                  char _t27_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t27_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t27_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t28_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t28_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t28_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t29_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t29_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t30_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t30_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t30_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t31_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t31_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t31_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _return);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_boolean(0, _ev->_atomic_user_id);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_atomic_user_id)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            (useless *)(_ev->_except) = CORBA_flick_alloc(sizeof(useless ));
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

CORBA_long ttcp_structtest(ttcp _obj, structBuffer *data, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  CORBA_long _return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t35_array_iter;

    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(104);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'u');
    flick_mach3mig_encode_char8(40, 'c');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 't');
    flick_mach3mig_encode_char8(64, 'e');
    flick_mach3mig_encode_char8(72, 's');
    flick_mach3mig_encode_char8(80, 't');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(96, data->_length);
    flick_mach3mig_encode_end_chunk(104);
    flick_mach3mig_encode_end_glob(104);
    flick_mach3mig_encode_new_glob(32 * data->_length);
    for (_t35_array_iter = 0; _t35_array_iter < data->_length; _t35_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, data->_buffer[_t35_array_iter].x.xx);
        flick_mach3mig_encode_signed32(8, data->_buffer[_t35_array_iter].x.yy);
        flick_mach3mig_encode_signed32(16, data->_buffer[_t35_array_iter].y.xx);
        flick_mach3mig_encode_signed32(24, data->_buffer[_t35_array_iter].y.yy);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * data->_length);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t49_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t49_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t49_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t50_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t50_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t50_switch_tag)
            {
            case '$':
              {
                char _t51_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t51_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t51_switch_tag)
                  {
                  case 's':
                    {
                      char _t52_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t52_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t52_switch_tag)
                        {
                        case 't':
                          {
                            char _t53_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t53_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t53_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t54_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t54_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t54_switch_tag)
                                    {
                                    case 'u':
                                      {
                                        char _t55_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t55_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t55_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t56_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t56_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t56_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t57_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t57_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t57_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t58_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t58_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t58_switch_tag)
                                                            {
                                                            case 'e':
                                                              {
                                                                char _t59_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t59_switch_tag)
                                                                  {
                                                                  case 's':
                                                                    {
                                                                      char _t60_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t60_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t60_switch_tag)
                                                                        {
                                                                        case 't':
                                                                          {
                                                                            char _t61_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t61_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        /* Begin decode phase on parameters */
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_signed32(0, _return);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_boolean(0, _ev->_atomic_user_id);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch (_ev->_atomic_user_id)
                                                                                          {
                                                                                          case 0:
                                                                                            {
                                                                                              (useless *)(_ev->_except) = CORBA_flick_alloc(sizeof(useless ));
                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_signed32(0, ((useless *)(_ev->_except))->baloney);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(_return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(128);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

