#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_mach3mig_encode_new_glob(24);
  flick_mach3mig_encode_new_chunk(24);
  flick_mach3mig_encode_signed32(0, _data->slot_1);
  flick_mach3mig_encode_signed32(8, _data->slot_2);
  flick_mach3mig_encode_signed32(16, _data->slot_3);
  flick_mach3mig_encode_end_chunk(24);
  flick_mach3mig_encode_end_glob(24);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_mach3mig_decode_new_glob(24);
  flick_mach3mig_decode_new_chunk(24);
  flick_mach3mig_decode_signed32(0, _data->slot_1);
  flick_mach3mig_decode_signed32(8, _data->slot_2);
  flick_mach3mig_decode_signed32(16, _data->slot_3);
  flick_mach3mig_decode_end_chunk(24);
  flick_mach3mig_decode_end_glob(24);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_mach3mig_encode_new_glob(428);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->discriminator);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t3_array_iter;

        flick_mach3mig_encode_new_chunk(20);
        flick_mach3mig_encode_unsigned32(0, _data->foo_u.one.foo_u_len);
        flick_mach3mig_array_encode_signed32_type(8, _data->foo_u.one.foo_u_len * 1, 1, _long_type);
        flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
        for (_t3_array_iter = 0; _t3_array_iter < _data->foo_u.one.foo_u_len; _t3_array_iter++)
          {
            flick_mach3mig_array_encode_new_chunk(4);
            flick_mach3mig_array_encode_signed32(0, _data->foo_u.one.foo_u_val[_t3_array_iter]);
            flick_mach3mig_array_encode_end_chunk(4);
          }
#else /* Always do a bcopy*/
        flick_mach3mig_array_encode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, mach3mig_array);
#endif /* bcopy? */
        flick_mach3mig_encode_end_glob(428);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_end_glob(428);
        flick_mach3mig_encode_longstring(_data->foo_u.two, null_flick_free, mach3mig);
        break;
      }
    case 3:
      {
        flick_mach3mig_encode_new_chunk(24);
        flick_mach3mig_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_mach3mig_encode_signed32(8, _data->foo_u.three.slot_2);
        flick_mach3mig_encode_signed32(16, _data->foo_u.three.slot_3);
        flick_mach3mig_encode_end_chunk(24);
        flick_mach3mig_encode_end_glob(428);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        flick_mach3mig_encode_end_glob(428);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_mach3mig_decode_new_glob(428);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->discriminator);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned long int _t7_array_iter;

        flick_mach3mig_decode_new_chunk(20);
        flick_mach3mig_decode_unsigned32(0, _data->foo_u.one.foo_u_len);
        _data->foo_u.one.foo_u_val = sun_flick_alloc(_data->foo_u.one.foo_u_len * sizeof(int ));
        flick_mach3mig_array_decode_signed32_type(8, _data->foo_u.one.foo_u_len, 1, _long_type);
        flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
        for (_t7_array_iter = 0; _t7_array_iter < _data->foo_u.one.foo_u_len; _t7_array_iter++)
          {
            flick_mach3mig_array_decode_new_chunk(4);
            flick_mach3mig_array_decode_signed32(0, _data->foo_u.one.foo_u_val[_t7_array_iter]);
            flick_mach3mig_array_decode_end_chunk(4);
          }
#else /* Always do a bcopy*/
        flick_mach3mig_array_decode_bcopy(_data->foo_u.one.foo_u_val, sizeof(long) * _data->foo_u.one.foo_u_len, mach3mig_array);
#endif /* bcopy? */
        flick_mach3mig_decode_end_glob(428);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_end_glob(428);
        flick_mach3mig_decode_longstring(_data->foo_u.two, sun_flick_alloc, mach3mig);
        break;
      }
    case 3:
      {
        flick_mach3mig_decode_new_chunk(24);
        flick_mach3mig_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_mach3mig_decode_signed32(8, _data->foo_u.three.slot_2);
        flick_mach3mig_decode_signed32(16, _data->foo_u.three.slot_3);
        flick_mach3mig_decode_end_chunk(24);
        flick_mach3mig_decode_end_glob(428);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
        flick_mach3mig_decode_end_glob(428);
        break;
      }
    }
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct foo *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(428);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, arg->discriminator);
    flick_mach3mig_encode_end_chunk(8);
    switch (arg->discriminator)
      {
      case 1:
        {
          unsigned long int _t15_array_iter;

          flick_mach3mig_encode_new_chunk(20);
          flick_mach3mig_encode_unsigned32(0, arg->foo_u.one.foo_u_len);
          flick_mach3mig_array_encode_signed32_type(8, arg->foo_u.one.foo_u_len * 1, 1, _long_type);
          flick_mach3mig_array_encode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
          for (_t15_array_iter = 0; _t15_array_iter < arg->foo_u.one.foo_u_len; _t15_array_iter++)
            {
              flick_mach3mig_array_encode_new_chunk(4);
              flick_mach3mig_array_encode_signed32(0, arg->foo_u.one.foo_u_val[_t15_array_iter]);
              flick_mach3mig_array_encode_end_chunk(4);
            }
#else /* Always do a bcopy*/
          flick_mach3mig_array_encode_bcopy(arg->foo_u.one.foo_u_val, sizeof(long) * arg->foo_u.one.foo_u_len, mach3mig_array);
#endif /* bcopy? */
          flick_mach3mig_encode_end_glob(428);
          break;
        }
      case 2:
        {
          flick_mach3mig_encode_end_glob(428);
          flick_mach3mig_encode_longstring(arg->foo_u.two, null_flick_free, mach3mig);
          break;
        }
      case 3:
        {
          flick_mach3mig_encode_new_chunk(24);
          flick_mach3mig_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_mach3mig_encode_signed32(8, arg->foo_u.three.slot_2);
          flick_mach3mig_encode_signed32(16, arg->foo_u.three.slot_3);
          flick_mach3mig_encode_end_chunk(24);
          flick_mach3mig_encode_end_glob(428);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
          flick_mach3mig_encode_end_glob(428);
          break;
        }
      }
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t27_switch_tag;

    _t27_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t27_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_glob(436);
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static struct foo _t33_storage;

                _return = &_t33_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, _return->discriminator);
                flick_mach3mig_decode_end_chunk(8);
                switch (_return->discriminator)
                  {
                  case 1:
                    {
                      unsigned long int _t37_array_iter;

                      flick_mach3mig_decode_new_chunk(20);
                      flick_mach3mig_decode_unsigned32(0, _return->foo_u.one.foo_u_len);
                      _return->foo_u.one.foo_u_val = sun_flick_alloc(_return->foo_u.one.foo_u_len * sizeof(int ));
                      flick_mach3mig_array_decode_signed32_type(8, _return->foo_u.one.foo_u_len, 1, _long_type);
                      flick_mach3mig_array_decode_end_chunk(20);
#if 0 /* We don't need to ever to bit translation */
                      for (_t37_array_iter = 0; _t37_array_iter < _return->foo_u.one.foo_u_len; _t37_array_iter++)
                        {
                          flick_mach3mig_array_decode_new_chunk(4);
                          flick_mach3mig_array_decode_signed32(0, _return->foo_u.one.foo_u_val[_t37_array_iter]);
                          flick_mach3mig_array_decode_end_chunk(4);
                        }
#else /* Always do a bcopy*/
                      flick_mach3mig_array_decode_bcopy(_return->foo_u.one.foo_u_val, sizeof(long) * _return->foo_u.one.foo_u_len, mach3mig_array);
#endif /* bcopy? */
                      flick_mach3mig_decode_end_glob(436);
                      break;
                    }
                  case 2:
                    {
                      flick_mach3mig_decode_end_glob(436);
                      flick_mach3mig_decode_longstring(_return->foo_u.two, sun_flick_alloc, mach3mig);
                      break;
                    }
                  case 3:
                    {
                      flick_mach3mig_decode_new_chunk(24);
                      flick_mach3mig_decode_signed32(0, _return->foo_u.three.slot_1);
                      flick_mach3mig_decode_signed32(8, _return->foo_u.three.slot_2);
                      flick_mach3mig_decode_signed32(16, _return->foo_u.three.slot_3);
                      flick_mach3mig_decode_end_chunk(24);
                      flick_mach3mig_decode_end_glob(436);
                      break;
                    }
                  default:
                    {
                      flick_sun_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(436);
                      break;
                    }
                  }
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(436);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(436);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

