#include "enum_-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = _PROG_Test;
	s.vers_num = _VERS_Test;

	assert(flick_server_register(s, &Test_server));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_types(flick_marshal_stream_t _stream, const types *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_types(flick_marshal_stream_t _stream, types *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_Test(flick_marshal_stream_t _stream, const Test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Test(flick_marshal_stream_t _stream, Test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int Test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    unsigned int _t10_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t10_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t10_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t11_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t11_switch_tag);
          flick_suntcp_decode_end_chunk(4);
          switch (_t11_switch_tag)
            {
            case 'E':
              {
                char _t12_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t12_switch_tag);
                flick_suntcp_decode_end_chunk(4);
                switch (_t12_switch_tag)
                  {
                  case 'n':
                    {
                      char _t13_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t13_switch_tag);
                      flick_suntcp_decode_end_chunk(4);
                      switch (_t13_switch_tag)
                        {
                        case 'u':
                          {
                            char _t14_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t14_switch_tag);
                            flick_suntcp_decode_end_chunk(4);
                            switch (_t14_switch_tag)
                              {
                              case 'm':
                                {
                                  char _t15_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t15_switch_tag);
                                  flick_suntcp_decode_end_chunk(4);
                                  switch (_t15_switch_tag)
                                    {
                                    case 0:
                                      {
                                        {
                                          Test _obj;
                                          types _local_a;
                                          types *_local_b;
                                          types *_local_c;
                                          CORBA_Environment *_ev;
                                          types _return;
                                          types _t16_storage;
                                          CORBA_Environment _t17_storage;
                                          unsigned int _t18_ignore;
                                          types _t19_storage;

                                          {
                                            flick_suntcp_server_decode_target(_obj, 0, xdr);
                                          }
                                          _local_c = &_t16_storage;
                                          _ev = &_t17_storage;
                                          /* Decode the authorization stuff (we ignore it & assume it's null) */
                                          flick_suntcp_decode_new_chunk(24);
                                          flick_xdr_decode_unsigned32(0, _t18_ignore);
                                          flick_xdr_decode_unsigned32(4, _t18_ignore);
                                          flick_xdr_decode_unsigned32(8, _t18_ignore);
                                          flick_xdr_decode_unsigned32(12, _t18_ignore);
                                          flick_xdr_decode_unsigned32(16, _local_a);
                                          _local_b = &_t19_storage;
                                          flick_xdr_decode_unsigned32(20, *_local_b);
                                          flick_suntcp_decode_end_chunk(24);
                                          flick_suntcp_decode_end_glob(48);
                                          flick_corba_init_environment();
                                          _return = Test_Enum(_obj, _local_a, _local_b, _local_c, _ev);
                                          flick_suntcp_server_start_encode();
                                          {
                                            flick_suntcp_server_encode_target(_obj, 0, xdr);
                                          }
                                          flick_suntcp_encode_new_glob(16);
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _ev->_major);
                                          flick_suntcp_encode_end_chunk(4);
                                          switch (_ev->_major)
                                            {
                                            case CORBA_NO_EXCEPTION:
                                              {
                                                flick_suntcp_encode_new_chunk(12);
                                                flick_xdr_encode_unsigned32(0, *_local_b);
                                                flick_xdr_encode_unsigned32(4, *_local_c);
                                                flick_xdr_encode_unsigned32(8, _return);
                                                flick_suntcp_encode_end_chunk(12);
                                                break;
                                              }
                                            case CORBA_SYSTEM_EXCEPTION:
                                              {
                                                flick_corba_encode_system_exception((_ev->_except), xdr, suntcp);
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                                              }
                                            }
                                          flick_suntcp_encode_end_glob(16);
                                          flick_suntcp_server_end_encode();
                                        }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return 0;
}
