#include "parm_-client.h"

void flick_marshal_stub_Enumeration(flick_marshal_stream_t _stream, const Enumeration *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_Enumeration(flick_marshal_stream_t _stream, Enumeration *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_FStruct(flick_marshal_stream_t _stream, const struct FStruct *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->a);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_FStruct(flick_marshal_stream_t _stream, struct FStruct *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->a);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_VStruct(flick_marshal_stream_t _stream, const struct VStruct *_data)
{
  flick_xdr_encode_longstring(_data->a, null_flick_free, suntcp);
}

void flick_unmarshal_stub_VStruct(flick_marshal_stream_t _stream, struct VStruct *_data)
{
  flick_xdr_decode_longstring(_data->a, CORBA_flick_alloc, suntcp);
}

void flick_marshal_stub_FUnion(flick_marshal_stream_t _stream, const struct FUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_FUnion(flick_marshal_stream_t _stream, struct FUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_VUnion(flick_marshal_stream_t _stream, const struct VUnion *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_end_glob(8);
        flick_xdr_encode_longstring(_data->_u.a, null_flick_free, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        flick_suntcp_encode_end_glob(8);
        break;
      }
    }
}

void flick_unmarshal_stub_VUnion(flick_marshal_stream_t _stream, struct VUnion *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_end_glob(8);
        flick_xdr_decode_longstring(_data->_u.a, CORBA_flick_alloc, suntcp);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        flick_suntcp_decode_end_glob(8);
        break;
      }
    }
}

void flick_marshal_stub_test_arr(flick_marshal_stream_t _stream, const test_arr *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 10;
  flick_suntcp_encode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(*_data, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(40);
}

void flick_unmarshal_stub_test_arr(flick_marshal_stream_t _stream, test_arr *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 10;
  flick_suntcp_decode_new_glob(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(*_data, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(40);
}

void flick_marshal_stub_test_seq(flick_marshal_stream_t _stream, const test_seq *_data)
{
  unsigned long int _t7_array_iter;

  flick_suntcp_encode_new_glob(44);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t7_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
}

void flick_unmarshal_stub_test_seq(flick_marshal_stream_t _stream, test_seq *_data)
{
  unsigned long int _t9_array_iter;

  flick_suntcp_decode_new_glob(44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_long ));
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t9_array_iter = 0; _t9_array_iter < _data->_length; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t9_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->_buffer, sizeof(long) * _data->_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_short _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'h');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'r');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_signed16(44, a);
    flick_xdr_encode_signed16(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, *b);
            flick_xdr_decode_signed16(4, *c);
            flick_xdr_decode_signed16(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'L');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'n');
    flick_xdr_encode_char8(16, 'g');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_signed32(40, a);
    flick_xdr_encode_signed32(44, *b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed32(0, *b);
            flick_xdr_decode_signed32(4, *c);
            flick_xdr_decode_signed32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_short _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'U');
    flick_xdr_encode_char8(8, 'S');
    flick_xdr_encode_char8(12, 'h');
    flick_xdr_encode_char8(16, 'o');
    flick_xdr_encode_char8(20, 'r');
    flick_xdr_encode_char8(24, 't');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned16(48, a);
    flick_xdr_encode_unsigned16(52, *b);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned16(0, *b);
            flick_xdr_decode_unsigned16(4, *c);
            flick_xdr_decode_unsigned16(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_unsigned_long _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'U');
    flick_xdr_encode_char8(8, 'L');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'n');
    flick_xdr_encode_char8(20, 'g');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, a);
    flick_xdr_encode_unsigned32(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, *b);
            flick_xdr_decode_unsigned32(4, *c);
            flick_xdr_decode_unsigned32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_float _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'F');
    flick_xdr_encode_char8(8, 'l');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'a');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_float32(44, a);
    flick_xdr_encode_float32(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_float32(0, *b);
            flick_xdr_decode_float32(4, *c);
            flick_xdr_decode_float32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_boolean _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, 'B');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 'l');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 'a');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned8(52, a);
    flick_xdr_encode_unsigned8(56, *b);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, *b);
            flick_xdr_decode_unsigned8(4, *c);
            flick_xdr_decode_unsigned8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'C');
    flick_xdr_encode_char8(8, 'h');
    flick_xdr_encode_char8(12, 'a');
    flick_xdr_encode_char8(16, 'r');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_char8(40, a);
    flick_xdr_encode_char8(44, *b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_char8(0, *b);
            flick_xdr_decode_char8(4, *c);
            flick_xdr_decode_char8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_octet _return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'O');
    flick_xdr_encode_char8(8, 'c');
    flick_xdr_encode_char8(12, 't');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned8(44, a);
    flick_xdr_encode_unsigned8(48, *b);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned8(0, *b);
            flick_xdr_decode_unsigned8(4, *c);
            flick_xdr_decode_unsigned8(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  Enumeration _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 5);
    flick_xdr_encode_char8(4, 'E');
    flick_xdr_encode_char8(8, 'n');
    flick_xdr_encode_char8(12, 'u');
    flick_xdr_encode_char8(16, 'm');
    flick_xdr_encode_char8(20, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, a);
    flick_xdr_encode_unsigned32(44, *b);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, *b);
            flick_xdr_decode_unsigned32(4, *c);
            flick_xdr_decode_unsigned32(8, _return);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct FStruct _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(76);
    flick_suntcp_encode_new_chunk(76);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 'F');
    flick_xdr_encode_char8(8, 'i');
    flick_xdr_encode_char8(12, 'x');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 'd');
    flick_xdr_encode_char8(24, 'S');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'u');
    flick_xdr_encode_char8(40, 'c');
    flick_xdr_encode_char8(44, 't');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_xdr_encode_signed16(68, a->a);
    flick_xdr_encode_signed16(72, b->a);
    flick_suntcp_encode_end_chunk(76);
    flick_suntcp_encode_end_glob(76);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(16);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_signed16(0, b->a);
            flick_xdr_decode_signed16(4, c->a);
            flick_xdr_decode_signed16(8, _return.a);
            flick_suntcp_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(16);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct VStruct *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, 'V');
    flick_xdr_encode_char8(8, 'a');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'S');
    flick_xdr_encode_char8(20, 't');
    flick_xdr_encode_char8(24, 'r');
    flick_xdr_encode_char8(28, 'u');
    flick_xdr_encode_char8(32, 'c');
    flick_xdr_encode_char8(36, 't');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
    flick_xdr_encode_longstring(a->a, null_flick_free, suntcp);
    flick_xdr_encode_longstring(b->a, null_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(b->a, CORBA_flick_alloc, suntcp);
            *c = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_xdr_decode_longstring((*c)->a, CORBA_flick_alloc, suntcp);
            _return = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_xdr_decode_longstring(_return->a, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct FUnion _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(80);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 11);
    flick_xdr_encode_char8(4, 'F');
    flick_xdr_encode_char8(8, 'i');
    flick_xdr_encode_char8(12, 'x');
    flick_xdr_encode_char8(16, 'e');
    flick_xdr_encode_char8(20, 'd');
    flick_xdr_encode_char8(24, 'U');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'i');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_signed32(64, a->_d);
    flick_suntcp_encode_end_chunk(68);
    switch (a->_d)
      {
      case 1:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, a->_u.x);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, a->_u.z);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed32(0, b->_d);
    flick_suntcp_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, b->_u.x);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, b->_u.z);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      }
    flick_suntcp_encode_end_glob(80);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(28);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, b->_d);
            flick_suntcp_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, b->_u.x);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, b->_u.z);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, c->_d);
            flick_suntcp_decode_end_chunk(4);
            switch (c->_d)
              {
              case 1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, c->_u.x);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, c->_u.z);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              }
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return._d);
            flick_suntcp_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return._u.x);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _return._u.z);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(28);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct VUnion *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'V');
    flick_xdr_encode_char8(8, 'a');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'U');
    flick_xdr_encode_char8(20, 'n');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'o');
    flick_xdr_encode_char8(32, 'n');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_signed32(56, a->_d);
    flick_suntcp_encode_end_chunk(60);
    switch (a->_d)
      {
      case 1:
        {
          flick_suntcp_encode_end_glob(64);
          flick_xdr_encode_longstring(a->_u.a, null_flick_free, suntcp);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, a->_u.z);
          flick_suntcp_encode_end_chunk(4);
          flick_suntcp_encode_end_glob(64);
          break;
        }
      }
    flick_suntcp_encode_new_glob(8);
    flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
    flick_xdr_encode_signed32(0, b->_d);
    flick_suntcp_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_suntcp_encode_end_glob(8);
          flick_xdr_encode_longstring(b->_u.a, null_flick_free, suntcp);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, b->_u.z);
          flick_suntcp_encode_end_chunk(4);
          flick_suntcp_encode_end_glob(8);
          break;
        }
      }
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, b->_d);
            flick_suntcp_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_suntcp_decode_end_glob(12);
                  flick_xdr_decode_longstring(b->_u.a, CORBA_flick_alloc, suntcp);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, b->_u.z);
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(12);
                  break;
                }
              }
            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_suntcp_decode_new_glob(8);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, (*c)->_d);
            flick_suntcp_decode_end_chunk(4);
            switch ((*c)->_d)
              {
              case 1:
                {
                  flick_suntcp_decode_end_glob(8);
                  flick_xdr_decode_longstring((*c)->_u.a, CORBA_flick_alloc, suntcp);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, (*c)->_u.z);
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(8);
                  break;
                }
              }
            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_suntcp_decode_new_glob(8);
            flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
            flick_xdr_decode_signed32(0, _return->_d);
            flick_suntcp_decode_end_chunk(4);
            switch (_return->_d)
              {
              case 1:
                {
                  flick_suntcp_decode_end_glob(8);
                  flick_xdr_decode_longstring(_return->_u.a, CORBA_flick_alloc, suntcp);
                  break;
                }
              default:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _return->_u.z);
                  flick_suntcp_decode_end_chunk(4);
                  flick_suntcp_decode_end_glob(8);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(12);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(48);
    flick_suntcp_encode_new_chunk(48);
    flick_xdr_encode_unsigned32(0, 7);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 't');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'i');
    flick_xdr_encode_char8(20, 'n');
    flick_xdr_encode_char8(24, 'g');
    flick_xdr_encode_char8(28, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(48);
    flick_suntcp_encode_end_glob(48);
    flick_xdr_encode_longstring(a, null_flick_free, suntcp);
    flick_xdr_encode_longstring(*b, CORBA_flick_free, suntcp);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_longstring(*b, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(*c, CORBA_flick_alloc, suntcp);
            flick_xdr_decode_longstring(_return, CORBA_flick_alloc, suntcp);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_char *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(68);
    flick_suntcp_encode_new_chunk(68);
    flick_xdr_encode_unsigned32(0, 12);
    flick_xdr_encode_char8(4, 'B');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'u');
    flick_xdr_encode_char8(16, 'n');
    flick_xdr_encode_char8(20, 'd');
    flick_xdr_encode_char8(24, 'S');
    flick_xdr_encode_char8(28, 't');
    flick_xdr_encode_char8(32, 'r');
    flick_xdr_encode_char8(36, 'i');
    flick_xdr_encode_char8(40, 'n');
    flick_xdr_encode_char8(44, 'g');
    flick_xdr_encode_char8(48, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, (unsigned int) 0);
    flick_xdr_encode_unsigned32(64, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(68);
    flick_suntcp_encode_end_glob(68);
    flick_xdr_encode_alloced_string(a, suntcp, 20);
    flick_xdr_encode_string(*b, CORBA_flick_free, suntcp, 20);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_xdr_decode_string(*b, CORBA_flick_alloc, suntcp, 20);
            flick_xdr_decode_string(*c, CORBA_flick_alloc, suntcp, 20);
            flick_xdr_decode_string(_return, CORBA_flick_alloc, suntcp, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

test_arr *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test_arr *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t16_array_length;
    flick_unsigned8_t _t18_array_iter;
    flick_unsigned8_t _t19_array_length;
    flick_unsigned8_t _t21_array_iter;

    flick_suntcp_encode_new_glob(124);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 6);
    flick_xdr_encode_char8(4, 'A');
    flick_xdr_encode_char8(8, 'r');
    flick_xdr_encode_char8(12, 'r');
    flick_xdr_encode_char8(16, 'a');
    flick_xdr_encode_char8(20, 'y');
    flick_xdr_encode_char8(24, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    _t16_array_length = 10;
    flick_suntcp_encode_end_chunk(44);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t18_array_iter = 0; _t18_array_iter < _t16_array_length; _t18_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a[_t18_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(a, sizeof(long) * _t16_array_length, suntcp);
#endif /* ENDIANness */
    _t19_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
    for (_t21_array_iter = 0; _t21_array_iter < _t19_array_length; _t21_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, b[_t21_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(b, sizeof(long) * _t19_array_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(124);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(124);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_unsigned8_t _t31_array_length;
            flick_unsigned8_t _t33_array_iter;
            flick_unsigned8_t _t34_array_length;
            flick_unsigned8_t _t36_array_iter;
            flick_unsigned8_t _t37_array_length;
            flick_unsigned8_t _t39_array_iter;

            _t31_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
            for (_t33_array_iter = 0; _t33_array_iter < _t31_array_length; _t33_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, b[_t33_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(b, sizeof(long) * _t31_array_length, suntcp);
#endif /* ENDIANness */
            _t34_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
            for (_t36_array_iter = 0; _t36_array_iter < _t34_array_length; _t36_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, c[_t36_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(c, sizeof(long) * _t34_array_length, suntcp);
#endif /* ENDIANness */
            _return = CORBA_flick_alloc(sizeof(test_arr ));
            _t37_array_length = 10;
#if BYTE_ORDER != BIG_ENDIAN
            for (_t39_array_iter = 0; _t39_array_iter < _t37_array_length; _t39_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_return)[_t39_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(*_return, sizeof(long) * _t37_array_length, suntcp);
#endif /* ENDIANness */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(124);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  test_seq *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t45_array_iter;
    unsigned long int _t47_array_iter;

    flick_suntcp_encode_new_glob(144);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 9);
    flick_xdr_encode_char8(4, 'S');
    flick_xdr_encode_char8(8, 'e');
    flick_xdr_encode_char8(12, 'q');
    flick_xdr_encode_char8(16, 'u');
    flick_xdr_encode_char8(20, 'e');
    flick_xdr_encode_char8(24, 'n');
    flick_xdr_encode_char8(28, 'c');
    flick_xdr_encode_char8(32, 'e');
    flick_xdr_encode_char8(36, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, a->_length);
    flick_suntcp_encode_end_chunk(60);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t45_array_iter = 0; _t45_array_iter < a->_length; _t45_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, a->_buffer[_t45_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(a->_buffer, sizeof(long) * a->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_unsigned32(0, b->_length);
    flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t47_array_iter = 0; _t47_array_iter < b->_length; _t47_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, b->_buffer[_t47_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_xdr_encode_bcopy(b->_buffer, sizeof(long) * b->_length, suntcp);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(144);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(136);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            unsigned long int _t55_array_iter;
            unsigned long int _t57_array_iter;
            unsigned long int _t59_array_iter;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, b->_length);
            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t55_array_iter = 0; _t55_array_iter < b->_length; _t55_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, b->_buffer[_t55_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(b->_buffer, sizeof(long) * b->_length, suntcp);
#endif /* ENDIANness */
            *c = CORBA_flick_alloc(sizeof(test_seq ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, (*c)->_length);
            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t57_array_iter = 0; _t57_array_iter < (*c)->_length; _t57_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*c)->_buffer[_t57_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy((*c)->_buffer, sizeof(long) * (*c)->_length, suntcp);
#endif /* ENDIANness */
            _return = CORBA_flick_alloc(sizeof(test_seq ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t59_array_iter = 0; _t59_array_iter < _return->_length; _t59_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _return->_buffer[_t59_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_return->_buffer, sizeof(long) * _return->_length, suntcp);
#endif /* ENDIANness */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(136);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

