#include "sunstat-server.h"

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;


	s.prog_num = progname;
	s.vers_num = versname;

	assert(flick_server_register(s, &progname_2));


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
void flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, const my_ulong_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, const my_dev_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, const my_ino_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, const my_mode_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, const my_nlink_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, const my_uid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, const my_gid_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, const my_off_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, const my_time_t *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, const struct my_timespec *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, const my_timestruc_t *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->tv_sec);
  flick_xdr_encode_signed32(4, _data->tv_nsec);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->tv_sec);
  flick_xdr_decode_signed32(4, _data->tv_nsec);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, const struct my_stat *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  flick_suntcp_encode_new_glob(136);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->st_dev);
  _t0_array_length = 3;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad1[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad1, sizeof(long) * _t0_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->st_ino);
  flick_xdr_encode_unsigned32(4, _data->st_mode);
  flick_xdr_encode_unsigned32(8, _data->st_nlink);
  flick_xdr_encode_signed32(12, _data->st_uid);
  flick_xdr_encode_signed32(16, _data->st_gid);
  flick_xdr_encode_unsigned32(20, _data->st_rdev);
  _t3_array_length = 2;
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->st_pad2[_t5_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad2, sizeof(long) * _t3_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->st_size);
  flick_xdr_encode_signed32(4, _data->st_pad3);
  flick_xdr_encode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->st_blksize);
  flick_xdr_encode_signed32(36, _data->st_blocks);
  _t6_array_length = 16;
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->st_fstype[_t8_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_fstype, sizeof(char) * _t6_array_length, suntcp);
#endif /* ENDIANness */
  _t9_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->st_pad4[_t11_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->st_pad4, sizeof(long) * _t9_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(136);
}

void flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  flick_suntcp_decode_new_glob(136);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->st_dev);
  _t12_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad1[_t14_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad1, sizeof(long) * _t12_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->st_ino);
  flick_xdr_decode_unsigned32(4, _data->st_mode);
  flick_xdr_decode_unsigned32(8, _data->st_nlink);
  flick_xdr_decode_signed32(12, _data->st_uid);
  flick_xdr_decode_signed32(16, _data->st_gid);
  flick_xdr_decode_unsigned32(20, _data->st_rdev);
  _t15_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->st_pad2[_t17_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad2, sizeof(long) * _t15_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->st_size);
  flick_xdr_decode_signed32(4, _data->st_pad3);
  flick_xdr_decode_signed32(8, _data->st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->st_blksize);
  flick_xdr_decode_signed32(36, _data->st_blocks);
  _t18_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->st_fstype[_t20_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_fstype, sizeof(char) * _t18_array_length, suntcp);
#endif /* ENDIANness */
  _t21_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->st_pad4[_t23_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->st_pad4, sizeof(long) * _t21_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(136);
}

void flick_marshal_stub_entry(flick_marshal_stream_t _stream, const struct entry *_data)
{
  flick_unsigned8_t _t24_array_length;
  flick_unsigned8_t _t26_array_iter;
  flick_unsigned8_t _t27_array_length;
  flick_unsigned8_t _t29_array_iter;
  flick_unsigned8_t _t30_array_length;
  flick_unsigned8_t _t32_array_iter;
  flick_unsigned8_t _t33_array_length;
  flick_unsigned8_t _t35_array_iter;

  flick_xdr_encode_string(_data->filename, null_flick_free, suntcp, 255);
  flick_suntcp_encode_new_glob(136);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_unsigned32(0, _data->info.st_dev);
  _t24_array_length = 3;
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad1[_t26_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad1, sizeof(long) * _t24_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(24);
  flick_xdr_encode_unsigned32(0, _data->info.st_ino);
  flick_xdr_encode_unsigned32(4, _data->info.st_mode);
  flick_xdr_encode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_encode_signed32(12, _data->info.st_uid);
  flick_xdr_encode_signed32(16, _data->info.st_gid);
  flick_xdr_encode_unsigned32(20, _data->info.st_rdev);
  _t27_array_length = 2;
  flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->info.st_pad2[_t29_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad2, sizeof(long) * _t27_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(40);
  flick_xdr_encode_signed32(0, _data->info.st_size);
  flick_xdr_encode_signed32(4, _data->info.st_pad3);
  flick_xdr_encode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_encode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_encode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_encode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_encode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_encode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_encode_signed32(32, _data->info.st_blksize);
  flick_xdr_encode_signed32(36, _data->info.st_blocks);
  _t30_array_length = 16;
  flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_suntcp_encode_new_chunk(1);
      flick_xdr_encode_char8_packed(0, _data->info.st_fstype[_t32_array_iter]);
      flick_suntcp_encode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_fstype, sizeof(char) * _t30_array_length, suntcp);
#endif /* ENDIANness */
  _t33_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_signed32(0, _data->info.st_pad4[_t35_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->info.st_pad4, sizeof(long) * _t33_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(136);
}

void flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned8_t _t36_array_length;
  flick_unsigned8_t _t38_array_iter;
  flick_unsigned8_t _t39_array_length;
  flick_unsigned8_t _t41_array_iter;
  flick_unsigned8_t _t42_array_length;
  flick_unsigned8_t _t44_array_iter;
  flick_unsigned8_t _t45_array_length;
  flick_unsigned8_t _t47_array_iter;

  flick_xdr_decode_string(_data->filename, sun_flick_alloc, suntcp, 255);
  flick_suntcp_decode_new_glob(136);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_decode_unsigned32(0, _data->info.st_dev);
  _t36_array_length = 3;
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad1[_t38_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad1, sizeof(long) * _t36_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(24);
  flick_xdr_decode_unsigned32(0, _data->info.st_ino);
  flick_xdr_decode_unsigned32(4, _data->info.st_mode);
  flick_xdr_decode_unsigned32(8, _data->info.st_nlink);
  flick_xdr_decode_signed32(12, _data->info.st_uid);
  flick_xdr_decode_signed32(16, _data->info.st_gid);
  flick_xdr_decode_unsigned32(20, _data->info.st_rdev);
  _t39_array_length = 2;
  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->info.st_pad2[_t41_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad2, sizeof(long) * _t39_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(40);
  flick_xdr_decode_signed32(0, _data->info.st_size);
  flick_xdr_decode_signed32(4, _data->info.st_pad3);
  flick_xdr_decode_signed32(8, _data->info.st_atime.tv_sec);
  flick_xdr_decode_signed32(12, _data->info.st_atime.tv_nsec);
  flick_xdr_decode_signed32(16, _data->info.st_mtime.tv_sec);
  flick_xdr_decode_signed32(20, _data->info.st_mtime.tv_nsec);
  flick_xdr_decode_signed32(24, _data->info.st_ctime.tv_sec);
  flick_xdr_decode_signed32(28, _data->info.st_ctime.tv_nsec);
  flick_xdr_decode_signed32(32, _data->info.st_blksize);
  flick_xdr_decode_signed32(36, _data->info.st_blocks);
  _t42_array_length = 16;
  flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_suntcp_decode_new_chunk(1);
      flick_xdr_decode_char8_packed(0, _data->info.st_fstype[_t44_array_iter]);
      flick_suntcp_decode_end_chunk(1);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_fstype, sizeof(char) * _t42_array_length, suntcp);
#endif /* ENDIANness */
  _t45_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_signed32(0, _data->info.st_pad4[_t47_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->info.st_pad4, sizeof(long) * _t45_array_length, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(136);
}

void flick_marshal_stub_inner(flick_marshal_stream_t _stream, const struct inner *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a);
  flick_xdr_encode_signed32(4, _data->b);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a);
  flick_xdr_decode_signed32(4, _data->b);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_outer(flick_marshal_stream_t _stream, const struct outer *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->a.a);
  flick_xdr_encode_signed32(4, _data->a.b);
  flick_xdr_encode_signed32(8, _data->b.a);
  flick_xdr_encode_signed32(12, _data->b.b);
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->a.a);
  flick_xdr_decode_signed32(4, _data->a.b);
  flick_xdr_decode_signed32(8, _data->b.a);
  flick_xdr_decode_signed32(12, _data->b.b);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_directory(flick_marshal_stream_t _stream, const directory *_data)
{
  unsigned long int _t73_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->directory_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t73_array_iter = 0; _t73_array_iter < _data->directory_len; _t73_array_iter++)
    {
      flick_unsigned8_t _t86_array_length;
      flick_unsigned8_t _t88_array_iter;
      flick_unsigned8_t _t89_array_length;
      flick_unsigned8_t _t91_array_iter;
      flick_unsigned8_t _t92_array_length;
      flick_unsigned8_t _t94_array_iter;
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      flick_xdr_encode_string(_data->directory_val[_t73_array_iter].filename, null_flick_free, suntcp, 255);
      flick_suntcp_encode_new_glob(136);
      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t73_array_iter].info.st_dev);
      _t86_array_length = 3;
      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t88_array_iter = 0; _t88_array_iter < _t86_array_length; _t88_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t73_array_iter].info.st_pad1[_t88_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->directory_val[_t73_array_iter].info.st_pad1, sizeof(long) * _t86_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(24);
      flick_xdr_encode_unsigned32(0, _data->directory_val[_t73_array_iter].info.st_ino);
      flick_xdr_encode_unsigned32(4, _data->directory_val[_t73_array_iter].info.st_mode);
      flick_xdr_encode_unsigned32(8, _data->directory_val[_t73_array_iter].info.st_nlink);
      flick_xdr_encode_signed32(12, _data->directory_val[_t73_array_iter].info.st_uid);
      flick_xdr_encode_signed32(16, _data->directory_val[_t73_array_iter].info.st_gid);
      flick_xdr_encode_unsigned32(20, _data->directory_val[_t73_array_iter].info.st_rdev);
      _t89_array_length = 2;
      flick_suntcp_encode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t91_array_iter = 0; _t91_array_iter < _t89_array_length; _t91_array_iter++)
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, _data->directory_val[_t73_array_iter].info.st_pad2[_t91_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->directory_val[_t73_array_iter].info.st_pad2, sizeof(long) * _t89_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_new_chunk(40);
      flick_xdr_encode_signed32(0, _data->directory_val[_t73_array_iter].info.st_size);
      flick_xdr_encode_signed32(4, _data->directory_val[_t73_array_iter].info.st_pad3);
      flick_xdr_encode_signed32(8, _data->directory_val[_t73_array_iter].info.st_atime.tv_sec);
      flick_xdr_encode_signed32(12, _data->directory_val[_t73_array_iter].info.st_atime.tv_nsec);
      flick_xdr_encode_signed32(16, _data->directory_val[_t73_array_iter].info.st_mtime.tv_sec);
      flick_xdr_encode_signed32(20, _data->directory_val[_t73_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_encode_signed32(24, _data->directory_val[_t73_array_iter].info.st_ctime.tv_sec);
      flick_xdr_encode_signed32(28, _data->directory_val[_t73_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_encode_signed32(32, _data->directory_val[_t73_array_iter].info.st_blksize);
      flick_xdr_encode_signed32(36, _data->directory_val[_t73_array_iter].info.st_blocks);
      _t92_array_length = 16;
      flick_suntcp_encode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t94_array_iter = 0; _t94_array_iter < _t92_array_length; _t94_array_iter++)
        {
          flick_suntcp_encode_new_chunk(1);
          flick_xdr_encode_char8_packed(0, _data->directory_val[_t73_array_iter].info.st_fstype[_t94_array_iter]);
          flick_suntcp_encode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->directory_val[_t73_array_iter].info.st_fstype, sizeof(char) * _t92_array_length, suntcp);
#endif /* ENDIANness */
      _t95_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
          flick_xdr_encode_signed32(0, _data->directory_val[_t73_array_iter].info.st_pad4[_t97_array_iter]);
          flick_suntcp_encode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_encode_bcopy(_data->directory_val[_t73_array_iter].info.st_pad4, sizeof(long) * _t95_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_encode_end_glob(136);
    }
}

void flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned long int _t123_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->directory_len);
  _data->directory_val = sun_flick_alloc(_data->directory_len * sizeof(struct entry ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t123_array_iter = 0; _t123_array_iter < _data->directory_len; _t123_array_iter++)
    {
      flick_unsigned8_t _t136_array_length;
      flick_unsigned8_t _t138_array_iter;
      flick_unsigned8_t _t139_array_length;
      flick_unsigned8_t _t141_array_iter;
      flick_unsigned8_t _t142_array_length;
      flick_unsigned8_t _t144_array_iter;
      flick_unsigned8_t _t145_array_length;
      flick_unsigned8_t _t147_array_iter;

      flick_xdr_decode_string(_data->directory_val[_t123_array_iter].filename, sun_flick_alloc, suntcp, 255);
      flick_suntcp_decode_new_glob(136);
      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t123_array_iter].info.st_dev);
      _t136_array_length = 3;
      flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t138_array_iter = 0; _t138_array_iter < _t136_array_length; _t138_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t123_array_iter].info.st_pad1[_t138_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->directory_val[_t123_array_iter].info.st_pad1, sizeof(long) * _t136_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(24);
      flick_xdr_decode_unsigned32(0, _data->directory_val[_t123_array_iter].info.st_ino);
      flick_xdr_decode_unsigned32(4, _data->directory_val[_t123_array_iter].info.st_mode);
      flick_xdr_decode_unsigned32(8, _data->directory_val[_t123_array_iter].info.st_nlink);
      flick_xdr_decode_signed32(12, _data->directory_val[_t123_array_iter].info.st_uid);
      flick_xdr_decode_signed32(16, _data->directory_val[_t123_array_iter].info.st_gid);
      flick_xdr_decode_unsigned32(20, _data->directory_val[_t123_array_iter].info.st_rdev);
      _t139_array_length = 2;
      flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t141_array_iter = 0; _t141_array_iter < _t139_array_length; _t141_array_iter++)
        {
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_signed32(0, _data->directory_val[_t123_array_iter].info.st_pad2[_t141_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->directory_val[_t123_array_iter].info.st_pad2, sizeof(long) * _t139_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_new_chunk(40);
      flick_xdr_decode_signed32(0, _data->directory_val[_t123_array_iter].info.st_size);
      flick_xdr_decode_signed32(4, _data->directory_val[_t123_array_iter].info.st_pad3);
      flick_xdr_decode_signed32(8, _data->directory_val[_t123_array_iter].info.st_atime.tv_sec);
      flick_xdr_decode_signed32(12, _data->directory_val[_t123_array_iter].info.st_atime.tv_nsec);
      flick_xdr_decode_signed32(16, _data->directory_val[_t123_array_iter].info.st_mtime.tv_sec);
      flick_xdr_decode_signed32(20, _data->directory_val[_t123_array_iter].info.st_mtime.tv_nsec);
      flick_xdr_decode_signed32(24, _data->directory_val[_t123_array_iter].info.st_ctime.tv_sec);
      flick_xdr_decode_signed32(28, _data->directory_val[_t123_array_iter].info.st_ctime.tv_nsec);
      flick_xdr_decode_signed32(32, _data->directory_val[_t123_array_iter].info.st_blksize);
      flick_xdr_decode_signed32(36, _data->directory_val[_t123_array_iter].info.st_blocks);
      _t142_array_length = 16;
      flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
      for (_t144_array_iter = 0; _t144_array_iter < _t142_array_length; _t144_array_iter++)
        {
          flick_suntcp_decode_new_chunk(1);
          flick_xdr_decode_char8_packed(0, _data->directory_val[_t123_array_iter].info.st_fstype[_t144_array_iter]);
          flick_suntcp_decode_end_chunk(1);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->directory_val[_t123_array_iter].info.st_fstype, sizeof(char) * _t142_array_length, suntcp);
#endif /* ENDIANness */
      _t145_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
      for (_t147_array_iter = 0; _t147_array_iter < _t145_array_length; _t147_array_iter++)
        {
          flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
          flick_xdr_decode_signed32(0, _data->directory_val[_t123_array_iter].info.st_pad4[_t147_array_iter]);
          flick_suntcp_decode_end_chunk(4);
        }
#else /* BIG_ENDIAN - do a bcopy*/
      flick_xdr_decode_bcopy(_data->directory_val[_t123_array_iter].info.st_pad4, sizeof(long) * _t145_array_length, suntcp);
#endif /* ENDIANness */
      flick_suntcp_decode_end_glob(136);
    }
}

void flick_marshal_stub_longlist(flick_marshal_stream_t _stream, const longlist *_data)
{
  unsigned long int _t149_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->longlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t149_array_iter = 0; _t149_array_iter < _data->longlist_len; _t149_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->longlist_val[_t149_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_encode_bcopy(_data->longlist_val, sizeof(long) * _data->longlist_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->longlist_len);
}

void flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
  unsigned long int _t151_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->longlist_len);
  _data->longlist_val = sun_flick_alloc(_data->longlist_len * sizeof(int ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t151_array_iter = 0; _t151_array_iter < _data->longlist_len; _t151_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->longlist_val[_t151_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_xdr_decode_bcopy(_data->longlist_val, sizeof(long) * _data->longlist_len, suntcp);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->longlist_len);
}

void flick_marshal_stub_structlist(flick_marshal_stream_t _stream, const structlist *_data)
{
  unsigned long int _t153_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->structlist_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->structlist_len);
  for (_t153_array_iter = 0; _t153_array_iter < _data->structlist_len; _t153_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->structlist_val[_t153_array_iter].a.a);
      flick_xdr_encode_signed32(4, _data->structlist_val[_t153_array_iter].a.b);
      flick_xdr_encode_signed32(8, _data->structlist_val[_t153_array_iter].b.a);
      flick_xdr_encode_signed32(12, _data->structlist_val[_t153_array_iter].b.b);
      flick_suntcp_encode_end_chunk(16);
    }
  flick_suntcp_encode_end_glob(16 * _data->structlist_len);
}

void flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned long int _t155_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->structlist_len);
  _data->structlist_val = sun_flick_alloc(_data->structlist_len * sizeof(struct outer ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->structlist_len);
  for (_t155_array_iter = 0; _t155_array_iter < _data->structlist_len; _t155_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->structlist_val[_t155_array_iter].a.a);
      flick_xdr_decode_signed32(4, _data->structlist_val[_t155_array_iter].a.b);
      flick_xdr_decode_signed32(8, _data->structlist_val[_t155_array_iter].b.a);
      flick_xdr_decode_signed32(12, _data->structlist_val[_t155_array_iter].b.b);
      flick_suntcp_decode_end_chunk(16);
    }
  flick_suntcp_decode_end_glob(16 * _data->structlist_len);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int progname_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;
  flick_suntcp_server_start_decode();
  {
    signed int _t217_switch_tag;

    flick_suntcp_decode_new_glob(24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t217_switch_tag);
    flick_suntcp_decode_end_chunk(4);
    switch (_t217_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t218_ignore;
            directory _t219_storage;
            unsigned long int _t245_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t218_ignore);
            flick_xdr_decode_unsigned32(4, _t218_ignore);
            flick_xdr_decode_unsigned32(8, _t218_ignore);
            flick_xdr_decode_unsigned32(12, _t218_ignore);
            _local_arg = &_t219_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->directory_len);
            _local_arg->directory_val = auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry ));
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            for (_t245_array_iter = 0; _t245_array_iter < _local_arg->directory_len; _t245_array_iter++)
              {
                flick_unsigned8_t _t258_array_length;
                flick_unsigned8_t _t260_array_iter;
                flick_unsigned8_t _t261_array_length;
                flick_unsigned8_t _t263_array_iter;
                flick_unsigned8_t _t264_array_length;
                flick_unsigned8_t _t266_array_iter;
                flick_unsigned8_t _t267_array_length;
                flick_unsigned8_t _t269_array_iter;

                flick_xdr_decode_auto_string(_local_arg->directory_val[_t245_array_iter].filename, auto_flick_alloc, suntcp);
                flick_suntcp_decode_new_glob(136);
                flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t245_array_iter].info.st_dev);
                _t258_array_length = 3;
                flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t260_array_iter = 0; _t260_array_iter < _t258_array_length; _t260_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t245_array_iter].info.st_pad1[_t260_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_xdr_decode_bcopy(_local_arg->directory_val[_t245_array_iter].info.st_pad1, sizeof(long) * _t258_array_length, suntcp);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(24);
                flick_xdr_decode_unsigned32(0, _local_arg->directory_val[_t245_array_iter].info.st_ino);
                flick_xdr_decode_unsigned32(4, _local_arg->directory_val[_t245_array_iter].info.st_mode);
                flick_xdr_decode_unsigned32(8, _local_arg->directory_val[_t245_array_iter].info.st_nlink);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t245_array_iter].info.st_uid);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t245_array_iter].info.st_gid);
                flick_xdr_decode_unsigned32(20, _local_arg->directory_val[_t245_array_iter].info.st_rdev);
                _t261_array_length = 2;
                flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t263_array_iter = 0; _t263_array_iter < _t261_array_length; _t263_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(4);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t245_array_iter].info.st_pad2[_t263_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_xdr_decode_bcopy(_local_arg->directory_val[_t245_array_iter].info.st_pad2, sizeof(long) * _t261_array_length, suntcp);
#endif /* ENDIANness */
                flick_suntcp_decode_new_chunk(40);
                flick_xdr_decode_signed32(0, _local_arg->directory_val[_t245_array_iter].info.st_size);
                flick_xdr_decode_signed32(4, _local_arg->directory_val[_t245_array_iter].info.st_pad3);
                flick_xdr_decode_signed32(8, _local_arg->directory_val[_t245_array_iter].info.st_atime.tv_sec);
                flick_xdr_decode_signed32(12, _local_arg->directory_val[_t245_array_iter].info.st_atime.tv_nsec);
                flick_xdr_decode_signed32(16, _local_arg->directory_val[_t245_array_iter].info.st_mtime.tv_sec);
                flick_xdr_decode_signed32(20, _local_arg->directory_val[_t245_array_iter].info.st_mtime.tv_nsec);
                flick_xdr_decode_signed32(24, _local_arg->directory_val[_t245_array_iter].info.st_ctime.tv_sec);
                flick_xdr_decode_signed32(28, _local_arg->directory_val[_t245_array_iter].info.st_ctime.tv_nsec);
                flick_xdr_decode_signed32(32, _local_arg->directory_val[_t245_array_iter].info.st_blksize);
                flick_xdr_decode_signed32(36, _local_arg->directory_val[_t245_array_iter].info.st_blocks);
                _t264_array_length = 16;
                flick_suntcp_decode_end_chunk(40);
#if BYTE_ORDER != BIG_ENDIAN
                for (_t266_array_iter = 0; _t266_array_iter < _t264_array_length; _t266_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk(1);
                    flick_xdr_decode_char8_packed(0, _local_arg->directory_val[_t245_array_iter].info.st_fstype[_t266_array_iter]);
                    flick_suntcp_decode_end_chunk(1);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_xdr_decode_bcopy(_local_arg->directory_val[_t245_array_iter].info.st_fstype, sizeof(char) * _t264_array_length, suntcp);
#endif /* ENDIANness */
                _t267_array_length = 8;
#if BYTE_ORDER != BIG_ENDIAN
                for (_t269_array_iter = 0; _t269_array_iter < _t267_array_length; _t269_array_iter++)
                  {
                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                    flick_xdr_decode_signed32(0, _local_arg->directory_val[_t245_array_iter].info.st_pad4[_t269_array_iter]);
                    flick_suntcp_decode_end_chunk(4);
                  }
#else /* BIG_ENDIAN - do a bcopy*/
                flick_xdr_decode_bcopy(_local_arg->directory_val[_t245_array_iter].info.st_pad4, sizeof(long) * _t267_array_length, suntcp);
#endif /* ENDIANness */
                flick_suntcp_decode_end_glob(136);
              }
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t270_ignore;
            longlist _t271_storage;
            unsigned long int _t273_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t270_ignore);
            flick_xdr_decode_unsigned32(4, _t270_ignore);
            flick_xdr_decode_unsigned32(8, _t270_ignore);
            flick_xdr_decode_unsigned32(12, _t270_ignore);
            _local_arg = &_t271_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->longlist_len);
            _local_arg->longlist_val = auto_flick_alloc(_local_arg->longlist_len * sizeof(int ));
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            for (_t273_array_iter = 0; _t273_array_iter < _local_arg->longlist_len; _t273_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, _local_arg->longlist_val[_t273_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_xdr_decode_bcopy(_local_arg->longlist_val, sizeof(long) * _local_arg->longlist_len, suntcp);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _local_arg->longlist_len);
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            unsigned int _t274_ignore;
            structlist _t275_storage;
            unsigned long int _t277_array_iter;

            {
              flick_suntcp_server_decode_target(_obj, 0, xdr);
            }
            /* Decode the authorization stuff (we ignore it & assume it's null) */
            flick_suntcp_decode_new_chunk(20);
            flick_xdr_decode_unsigned32(0, _t274_ignore);
            flick_xdr_decode_unsigned32(4, _t274_ignore);
            flick_xdr_decode_unsigned32(8, _t274_ignore);
            flick_xdr_decode_unsigned32(12, _t274_ignore);
            _local_arg = &_t275_storage;
            flick_xdr_decode_unsigned32(16, _local_arg->structlist_len);
            _local_arg->structlist_val = auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer ));
            flick_suntcp_decode_end_chunk(20);
            flick_suntcp_decode_end_glob(24);
            flick_suntcp_decode_new_glob(16 * _local_arg->structlist_len);
            for (_t277_array_iter = 0; _t277_array_iter < _local_arg->structlist_len; _t277_array_iter++)
              {
                flick_suntcp_decode_new_chunk(16);
                flick_xdr_decode_signed32(0, _local_arg->structlist_val[_t277_array_iter].a.a);
                flick_xdr_decode_signed32(4, _local_arg->structlist_val[_t277_array_iter].a.b);
                flick_xdr_decode_signed32(8, _local_arg->structlist_val[_t277_array_iter].b.a);
                flick_xdr_decode_signed32(12, _local_arg->structlist_val[_t277_array_iter].b.b);
                flick_suntcp_decode_end_chunk(16);
              }
            flick_suntcp_decode_end_glob(16 * _local_arg->structlist_len);
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_suntcp_server_start_encode();
            {
              flick_suntcp_server_encode_target(_obj, 0, xdr);
            }
            flick_suntcp_encode_new_glob(8);
            flick_suntcp_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_suntcp_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  flick_suntcp_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_suntcp_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, suntcp);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
                }
              }
            flick_suntcp_encode_end_glob(8);
            flick_suntcp_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(0, FLICK_ERROR_DECODE_SWITCH, xdr, suntcp);
          flick_suntcp_decode_end_glob(24);
          break;
        }
      }
  }
  return 0;
}
