#include "ex-server.h"

void flick_marshal_stub_A_B(flick_marshal_stream_t _stream, const A_B *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_A(flick_marshal_stream_t _stream, const A *_data)
{
}

void flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
}

mom_dispatch_action_t A_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t2_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch (_t2_switch_tag)
      {
      case req_A_op:
        {
          {
            A *_obj;
            int16_t _local_b;
            mom_exc_t *_ev;
            int16_t _return;
            mom_exc_t _t3_storage;

            _obj = (A *)_dispatch_obj;
            _ev = &_t3_storage;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_b);
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            flick_mom_init_environment();
            _return = A_server_op(_obj, _local_b, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_end_chunk(2);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_mom_encode_system_exception((_ev->_except), fluke, fluke);
                  break;
                }
              default:
                {
                  switch (_ev->_type)
                    {
                    case exc_A_B:
                      {
                        flick_fluke_encode_new_chunk(2);
                        flick_fluke_encode_signed16(0, ((A_B *)(_ev->_except))->a);
                        mom_flick_free((A_B *)(_ev->_except));
                        flick_fluke_encode_end_chunk(2);
                        break;
                      }
                    default:
                      {
                        flick_mom_encode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_VOID_UNION, fluke, fluke);
                        break;
                      }
                    }
                }
              }
            flick_fluke_encode_end_glob(6);
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(6);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
