#ifndef _interface__client_h_
#define _interface__client_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  int32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___long10
#define _typedef___long10
typedef struct CORBA_sequence_integer long10;
#endif /* _typedef___long10 */

void flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data);

void flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data);

#include <fluke/flick.h>

int16_t math_addshort(mom_ref_t _obj, int16_t a, int16_t b, mom_exc_t *_ev);

int16_t math_subshort(mom_ref_t _obj, int16_t a, int16_t b, mom_exc_t *_ev);

int16_t math_multshort(mom_ref_t _obj, int16_t a, int16_t b, mom_exc_t *_ev);

int32_t math_addlong(mom_ref_t _obj, int32_t a, int32_t b, mom_exc_t *_ev);

int32_t math_sublong(mom_ref_t _obj, int32_t a, int32_t b, mom_exc_t *_ev);

int32_t math_multlong(mom_ref_t _obj, int32_t a, int32_t b, mom_exc_t *_ev);

int32_t math_addlonglist(mom_ref_t _obj, const long10 *a, mom_exc_t *_ev);

int32_t math_multlonglist(mom_ref_t _obj, const long10 *a, mom_exc_t *_ev);

#endif /* _interface__client_h_ */
