#include "sequence-client.h"

void flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  unsigned long int _t1_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t1_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  unsigned long int _t3_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t3_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_c20(flick_marshal_stream_t _stream, const c20 *_data)
{
  unsigned long int _t5_array_iter;

  flick_fluke_encode_new_glob(24);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
#if 0
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->_buffer[_t5_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(24);
}

void flick_unmarshal_stub_c20(flick_marshal_stream_t _stream, c20 *_data)
{
  unsigned long int _t7_array_iter;

  flick_fluke_decode_new_glob(24);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char ));
  flick_fluke_decode_end_chunk(4);
#if 0
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->_buffer[_t7_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(24);
}

void flick_marshal_stub_cc23(flick_marshal_stream_t _stream, const cc23 *_data)
{
  unsigned long int _t13_array_iter;

  flick_fluke_encode_new_glob(556);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < _data->_length; _t13_array_iter++)
    {
      unsigned long int _t17_array_iter;

      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _data->_buffer[_t13_array_iter]._length);
      flick_fluke_encode_end_chunk(4);
#if 0
      for (_t17_array_iter = 0; _t17_array_iter < _data->_buffer[_t13_array_iter]._length; _t17_array_iter++)
        {
          flick_fluke_encode_new_chunk(1);
          flick_fluke_encode_char8(0, _data->_buffer[_t13_array_iter]._buffer[_t17_array_iter]);
          flick_fluke_encode_end_chunk(1);
        }
#else /* Use `memcpy'. */
      flick_fluke_encode_bcopy(_data->_buffer[_t13_array_iter]._buffer, sizeof(char) * _data->_buffer[_t13_array_iter]._length, fluke);
#endif /* `memcpy' */
    }
  flick_fluke_encode_end_glob(556);
}

void flick_unmarshal_stub_cc23(flick_marshal_stream_t _stream, cc23 *_data)
{
  unsigned long int _t23_array_iter;

  flick_fluke_decode_new_glob(556);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(c20 ));
  flick_fluke_decode_end_chunk(4);
  for (_t23_array_iter = 0; _t23_array_iter < _data->_length; _t23_array_iter++)
    {
      unsigned long int _t27_array_iter;

      flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_decode_unsigned32(0, _data->_buffer[_t23_array_iter]._length);
      _data->_buffer[_t23_array_iter]._buffer = mom_flick_alloc(_data->_buffer[_t23_array_iter]._length * sizeof(char ));
      flick_fluke_decode_end_chunk(4);
#if 0
      for (_t27_array_iter = 0; _t27_array_iter < _data->_buffer[_t23_array_iter]._length; _t27_array_iter++)
        {
          flick_fluke_decode_new_chunk(1);
          flick_fluke_decode_char8(0, _data->_buffer[_t23_array_iter]._buffer[_t27_array_iter]);
          flick_fluke_decode_end_chunk(1);
        }
#else /* Use `memcpy'. */
      flick_fluke_decode_bcopy(_data->_buffer[_t23_array_iter]._buffer, sizeof(char) * _data->_buffer[_t23_array_iter]._length, fluke);
#endif /* `memcpy' */
    }
  flick_fluke_decode_end_glob(556);
}

void flick_marshal_stub_c24(flick_marshal_stream_t _stream, const c24 *_data)
{
  unsigned long int _t29_array_iter;

  flick_fluke_encode_new_glob(28);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
#if 0
  for (_t29_array_iter = 0; _t29_array_iter < _data->_length; _t29_array_iter++)
    {
      flick_fluke_encode_new_chunk(1);
      flick_fluke_encode_char8(0, _data->_buffer[_t29_array_iter]);
      flick_fluke_encode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, fluke);
#endif /* `memcpy' */
  flick_fluke_encode_end_glob(28);
}

void flick_unmarshal_stub_c24(flick_marshal_stream_t _stream, c24 *_data)
{
  unsigned long int _t31_array_iter;

  flick_fluke_decode_new_glob(28);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(char ));
  flick_fluke_decode_end_chunk(4);
#if 0
  for (_t31_array_iter = 0; _t31_array_iter < _data->_length; _t31_array_iter++)
    {
      flick_fluke_decode_new_chunk(1);
      flick_fluke_decode_char8(0, _data->_buffer[_t31_array_iter]);
      flick_fluke_decode_end_chunk(1);
    }
#else /* Use `memcpy'. */
  flick_fluke_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, fluke);
#endif /* `memcpy' */
  flick_fluke_decode_end_glob(28);
}

void flick_marshal_stub_c30(flick_marshal_stream_t _stream, const c30 *_data)
{
  unsigned long int _t37_array_iter;

  flick_fluke_encode_new_glob(444);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->_length; _t37_array_iter++)
    {
      unsigned long int _t41_array_iter;

      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, _data->_buffer[_t37_array_iter]._length);
      flick_fluke_encode_end_chunk(4);
      for (_t41_array_iter = 0; _t41_array_iter < _data->_buffer[_t37_array_iter]._length; _t41_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_encode_signed32(0, _data->_buffer[_t37_array_iter]._buffer[_t41_array_iter]);
          flick_fluke_encode_end_chunk(4);
        }
    }
  flick_fluke_encode_end_glob(444);
}

void flick_unmarshal_stub_c30(flick_marshal_stream_t _stream, c30 *_data)
{
  unsigned long int _t47_array_iter;

  flick_fluke_decode_new_glob(444);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(struct CORBA_sequence_integer ));
  flick_fluke_decode_end_chunk(4);
  for (_t47_array_iter = 0; _t47_array_iter < _data->_length; _t47_array_iter++)
    {
      unsigned long int _t51_array_iter;

      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _data->_buffer[_t47_array_iter]._length);
      _data->_buffer[_t47_array_iter]._buffer = mom_flick_alloc(_data->_buffer[_t47_array_iter]._length * sizeof(int32_t ));
      flick_fluke_decode_end_chunk(4);
      for (_t51_array_iter = 0; _t51_array_iter < _data->_buffer[_t47_array_iter]._length; _t51_array_iter++)
        {
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _data->_buffer[_t47_array_iter]._buffer[_t51_array_iter]);
          flick_fluke_decode_end_chunk(4);
        }
    }
  flick_fluke_decode_end_glob(444);
}

void flick_marshal_stub_TProgram(flick_marshal_stream_t _stream, const struct TProgram *_data)
{
  unsigned long int _t53_array_iter;
  unsigned long int _t55_array_iter;

  flick_fluke_encode_longstring(_data->path, null_flick_free, fluke);
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_unsigned32(0, _data->argv._length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t53_array_iter = 0; _t53_array_iter < _data->argv._length; _t53_array_iter++)
    {
      flick_fluke_encode_longstring(_data->argv._buffer[_t53_array_iter], null_flick_free, fluke);
    }
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_encode_unsigned32(0, _data->envp._length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t55_array_iter = 0; _t55_array_iter < _data->envp._length; _t55_array_iter++)
    {
      flick_fluke_encode_longstring(_data->envp._buffer[_t55_array_iter], null_flick_free, fluke);
    }
}

void flick_unmarshal_stub_TProgram(flick_marshal_stream_t _stream, struct TProgram *_data)
{
  unsigned long int _t57_array_iter;
  unsigned long int _t59_array_iter;

  flick_fluke_decode_longstring(_data->path, mom_flick_alloc, fluke);
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_unsigned32(0, _data->argv._length);
  _data->argv._buffer = mom_flick_alloc(_data->argv._length * sizeof(char *));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  for (_t57_array_iter = 0; _t57_array_iter < _data->argv._length; _t57_array_iter++)
    {
      flick_fluke_decode_longstring(_data->argv._buffer[_t57_array_iter], mom_flick_alloc, fluke);
    }
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
  flick_fluke_decode_unsigned32(0, _data->envp._length);
  _data->envp._buffer = mom_flick_alloc(_data->envp._length * sizeof(char *));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  for (_t59_array_iter = 0; _t59_array_iter < _data->envp._length; _t59_array_iter++)
    {
      flick_fluke_decode_longstring(_data->envp._buffer[_t59_array_iter], mom_flick_alloc, fluke);
    }
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_fluke_encode_new_glob(5);
  flick_fluke_encode_new_chunk(5);
  flick_fluke_encode_signed32(0, _data->f1);
  flick_fluke_encode_char8(4, _data->f2);
  flick_fluke_encode_end_chunk(5);
  flick_fluke_encode_end_glob(5);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_fluke_decode_new_glob(5);
  flick_fluke_decode_new_chunk(5);
  flick_fluke_decode_signed32(0, _data->f1);
  flick_fluke_decode_char8(4, _data->f2);
  flick_fluke_decode_end_chunk(5);
  flick_fluke_decode_end_glob(5);
}

void flick_marshal_stub_foo_ar(flick_marshal_stream_t _stream, const foo_ar *_data)
{
  flick_unsigned8_t _t60_array_length;
  flick_unsigned8_t _t62_array_iter;

  _t60_array_length = 20;
  flick_fluke_encode_new_glob(100);
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, (*_data)[_t62_array_iter].f1);
      flick_fluke_encode_char8(4, (*_data)[_t62_array_iter].f2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_end_glob(100);
}

void flick_unmarshal_stub_foo_ar(flick_marshal_stream_t _stream, foo_ar *_data)
{
  flick_unsigned8_t _t63_array_length;
  flick_unsigned8_t _t65_array_iter;

  _t63_array_length = 20;
  flick_fluke_decode_new_glob(100);
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, (*_data)[_t65_array_iter].f1);
      flick_fluke_decode_char8(4, (*_data)[_t65_array_iter].f2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_end_glob(100);
}

void flick_marshal_stub_f_unbounded(flick_marshal_stream_t _stream, const f_unbounded *_data)
{
  unsigned long int _t67_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(5 * _data->_length);
  for (_t67_array_iter = 0; _t67_array_iter < _data->_length; _t67_array_iter++)
    {
      flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_encode_signed32(0, _data->_buffer[_t67_array_iter].f1);
      flick_fluke_encode_char8(4, _data->_buffer[_t67_array_iter].f2);
      flick_fluke_encode_end_chunk(5);
    }
  flick_fluke_encode_end_glob(5 * _data->_length);
}

void flick_unmarshal_stub_f_unbounded(flick_marshal_stream_t _stream, f_unbounded *_data)
{
  unsigned long int _t69_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(struct foo ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(5 * _data->_length);
  for (_t69_array_iter = 0; _t69_array_iter < _data->_length; _t69_array_iter++)
    {
      flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
      flick_fluke_decode_signed32(0, _data->_buffer[_t69_array_iter].f1);
      flick_fluke_decode_char8(4, _data->_buffer[_t69_array_iter].f2);
      flick_fluke_decode_end_chunk(5);
    }
  flick_fluke_decode_end_glob(5 * _data->_length);
}

void flick_marshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, const f_ar_unbounded *_data)
{
  unsigned long int _t77_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(100 * _data->_length);
  for (_t77_array_iter = 0; _t77_array_iter < _data->_length; _t77_array_iter++)
    {
      flick_unsigned8_t _t81_array_length;
      flick_unsigned8_t _t83_array_iter;

      _t81_array_length = 20;
      for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
        {
          flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
          flick_fluke_encode_signed32(0, _data->_buffer[_t77_array_iter][_t83_array_iter].f1);
          flick_fluke_encode_char8(4, _data->_buffer[_t77_array_iter][_t83_array_iter].f2);
          flick_fluke_encode_end_chunk(5);
        }
    }
  flick_fluke_encode_end_glob(100 * _data->_length);
}

void flick_unmarshal_stub_f_ar_unbounded(flick_marshal_stream_t _stream, f_ar_unbounded *_data)
{
  unsigned long int _t91_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(foo_ar ));
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(100 * _data->_length);
  for (_t91_array_iter = 0; _t91_array_iter < _data->_length; _t91_array_iter++)
    {
      flick_unsigned8_t _t95_array_length;
      flick_unsigned8_t _t97_array_iter;

      _t95_array_length = 20;
      for (_t97_array_iter = 0; _t97_array_iter < _t95_array_length; _t97_array_iter++)
        {
          flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
          flick_fluke_decode_signed32(0, _data->_buffer[_t91_array_iter][_t97_array_iter].f1);
          flick_fluke_decode_char8(4, _data->_buffer[_t91_array_iter][_t97_array_iter].f2);
          flick_fluke_decode_end_chunk(5);
        }
    }
  flick_fluke_decode_end_glob(100 * _data->_length);
}

void flick_marshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, const TestSeq_also_vec10 *_data)
{
  unsigned long int _t99_array_iter;

  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->_length);
  flick_fluke_encode_end_chunk(4);
  for (_t99_array_iter = 0; _t99_array_iter < _data->_length; _t99_array_iter++)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, _data->_buffer[_t99_array_iter]);
      flick_fluke_encode_end_chunk(4);
    }
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_TestSeq_also_vec10(flick_marshal_stream_t _stream, TestSeq_also_vec10 *_data)
{
  unsigned long int _t101_array_iter;

  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(int32_t ));
  flick_fluke_decode_end_chunk(4);
  for (_t101_array_iter = 0; _t101_array_iter < _data->_length; _t101_array_iter++)
    {
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _data->_buffer[_t101_array_iter]);
      flick_fluke_decode_end_chunk(4);
    }
  flick_fluke_decode_end_glob(44);
}

vec10 *TestSeq_op(mom_ref_t _obj, const TestSeq_also_vec10 *a, vec10 **b, TestSeq_also_vec10 *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  vec10 *_return = 0;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t107_array_iter;
    unsigned long int _t109_array_iter;

    flick_fluke_encode_new_glob(92);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_TestSeq_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, a->_length);
    flick_fluke_encode_end_chunk(8);
    for (_t107_array_iter = 0; _t107_array_iter < a->_length; _t107_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, a->_buffer[_t107_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, c->_length);
    flick_fluke_encode_end_chunk(4);
    for (_t109_array_iter = 0; _t109_array_iter < c->_length; _t109_array_iter++)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, c->_buffer[_t109_array_iter]);
        flick_fluke_encode_end_chunk(4);
      }
    flick_fluke_encode_end_glob(92);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(136);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t117_array_iter;
          unsigned long int _t119_array_iter;
          unsigned long int _t121_array_iter;

          /* Begin decode phase on parameters */
          *b = mom_flick_alloc(sizeof(vec10 ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, (*b)->_length);
          (*b)->_buffer = mom_flick_alloc((*b)->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t117_array_iter = 0; _t117_array_iter < (*b)->_length; _t117_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, (*b)->_buffer[_t117_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, c->_length);
          c->_buffer = mom_flick_alloc(c->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t119_array_iter = 0; _t119_array_iter < c->_length; _t119_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, c->_buffer[_t119_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          _return = mom_flick_alloc(sizeof(vec10 ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(int32_t ));
          flick_fluke_decode_end_chunk(4);
          for (_t121_array_iter = 0; _t121_array_iter < _return->_length; _t121_array_iter++)
            {
              flick_fluke_decode_new_chunk(4);
              flick_fluke_decode_signed32(0, _return->_buffer[_t121_array_iter]);
              flick_fluke_decode_end_chunk(4);
            }
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(136);
  }
  flick_fluke_client_end_decode();
  return _return;
}

f_unbounded *TestSeq__get_fattr(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  f_unbounded *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(4);
    flick_fluke_encode_new_chunk(4);
    flick_fluke_encode_unsigned32(0, req_TestSeq__get_fattr);
    flick_fluke_encode_end_chunk(4);
    flick_fluke_encode_end_glob(4);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          unsigned long int _t125_array_iter;

          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(f_unbounded ));
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_unsigned32(0, _return->_length);
          _return->_buffer = mom_flick_alloc(_return->_length * sizeof(struct foo ));
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          flick_fluke_decode_new_glob(5 * _return->_length);
          for (_t125_array_iter = 0; _t125_array_iter < _return->_length; _t125_array_iter++)
            {
              flick_fluke_decode_new_chunk_align(5, 2, 0, 0);
              flick_fluke_decode_signed32(0, _return->_buffer[_t125_array_iter].f1);
              flick_fluke_decode_char8(4, _return->_buffer[_t125_array_iter].f2);
              flick_fluke_decode_end_chunk(5);
            }
          flick_fluke_decode_end_glob(5 * _return->_length);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void TestSeq__set_fattr(mom_ref_t _obj, const f_unbounded *fattr, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  flick_fluke_client_start_encode();
  {
    unsigned long int _t129_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_TestSeq__set_fattr);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, fattr->_length);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    flick_fluke_encode_new_glob(5 * fattr->_length);
    for (_t129_array_iter = 0; _t129_array_iter < fattr->_length; _t129_array_iter++)
      {
        flick_fluke_encode_new_chunk_align(5, 2, 0, 0);
        flick_fluke_encode_signed32(0, fattr->_buffer[_t129_array_iter].f1);
        flick_fluke_encode_char8(4, fattr->_buffer[_t129_array_iter].f2);
        flick_fluke_encode_end_chunk(5);
      }
    flick_fluke_encode_end_glob(5 * fattr->_length);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          break;
        }
      case exc_mom_system_exception:
        {
          flick_mom_decode_system_exception((_ev->_except), fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(4);
  }
  flick_fluke_client_end_decode();
}

