#ifndef _server_server_h_
#define _server_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#include <fluke/flick.h>

#ifndef _typedef___Server
#define _typedef___Server
typedef struct Server_struct Server;
#endif /* _typedef___Server */

void flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server *_data);

void flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data);

mom_dispatch_action_t Server_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

int32_t Server_server_SetSize(Server *_obj, int32_t width, int32_t height, mom_exc_t *_ev);

int32_t Server_server_AddWall(Server *_obj, int32_t startx, int32_t starty, int32_t endx, int32_t endy, mom_exc_t *_ev);

int32_t Server_server_DelWall(Server *_obj, int32_t startx, int32_t starty, int32_t endx, int32_t endy, mom_exc_t *_ev);

int32_t Server_server_AddRect(Server *_obj, int32_t left, int32_t top, int32_t right, int32_t bottom, int32_t color, mom_exc_t *_ev);

int32_t Server_server_DelRect(Server *_obj, int32_t left, int32_t top, int32_t right, int32_t bottom, mom_exc_t *_ev);

int32_t Server_server_SetTurtle(Server *_obj, int32_t x, int32_t y, int32_t angle, mom_exc_t *_ev);

int32_t Server_server_GetTurtle(Server *_obj, int32_t *x, int32_t *y, int32_t *angle, mom_exc_t *_ev);

#endif /* _server_server_h_ */
