#include "struct-2-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->one);
  flick_fluke_encode_signed32(4, _data->two);
  flick_fluke_encode_signed32(8, _data->three);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->one);
  flick_fluke_decode_signed32(4, _data->two);
  flick_fluke_decode_signed32(8, _data->three);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

int *op_2(struct bar *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return = 0;

  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->one);
    flick_fluke_encode_signed32(8, arg->two);
    flick_fluke_encode_signed32(12, arg->three);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t1_storage;

          _return = &_t1_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          break;
        }
      case -1:
        {
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
        }
      }
    flick_fluke_decode_end_glob(8);
  }
  flick_fluke_client_end_decode();
  return _return;
}

