#ifndef _unionplain__server_h_
#define _unionplain__server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___Foo
#define _typedef___Foo
typedef struct Foo {
  int32_t _d;
  union {
    int32_t x;
    int16_t y;
    char z;
  } _u;
} Foo;
#endif /* _typedef___Foo */

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data);

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data);

#ifndef _typedef___Foo2
#define _typedef___Foo2
typedef struct Foo2 {
  char _d;
  union {
    int32_t x;
    int16_t y;
    char z;
  } _u;
} Foo2;
#endif /* _typedef___Foo2 */

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data);

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data);

#ifndef _typedef___Foo3
#define _typedef___Foo3
typedef struct Foo3 {
  int16_t _d;
  union {
    int16_t a;
    int32_t b;
    char c;
  } _u;
} Foo3;
#endif /* _typedef___Foo3 */

void flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, const struct Foo3 *_data);

void flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data);

#ifndef _typedef___CORBA_sequence_integer
#define _typedef___CORBA_sequence_integer
typedef struct CORBA_sequence_integer {
  unsigned long int _length;
  int32_t *_buffer;
} CORBA_sequence_integer;
#endif /* _typedef___CORBA_sequence_integer */

#ifndef _typedef___Foo4
#define _typedef___Foo4
typedef struct Foo4 {
  int32_t _d;
  union {
    char *a;
    struct CORBA_sequence_integer b;
    int32_t c;
  } _u;
} Foo4;
#endif /* _typedef___Foo4 */

void flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, const struct Foo4 *_data);

void flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data);

#include <fluke/flick.h>

#ifndef _typedef___un
#define _typedef___un
typedef struct un_struct un;
#endif /* _typedef___un */

void flick_marshal_stub_un(flick_marshal_stream_t _stream, const un *_data);

void flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data);

mom_dispatch_action_t un_server(void *_dispatch_object, mom_dispatch_data_t *_dispatch_data);

struct Foo un_server_one(un *_obj, const struct Foo2 *a, mom_exc_t *_ev);

struct Foo3 un_server_two(un *_obj, const struct Foo4 *a, mom_exc_t *_ev);

#endif /* _unionplain__server_h_ */
