#include "array-1-client.h"

void flick_marshal_stub_data64(flick_marshal_stream_t _stream, const data64 *_data)
{
  flick_unsigned8_t _t0_array_length;
  flick_unsigned8_t _t2_array_iter;

  _t0_array_length = 16;
  flick_mach3mig_array_encode_new_glob(76);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t0_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t2_array_iter = 0; _t2_array_iter < _t0_array_length; _t2_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t2_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t0_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(76);
}

void flick_unmarshal_stub_data64(flick_marshal_stream_t _stream, data64 *_data)
{
  flick_unsigned8_t _t3_array_length;
  flick_unsigned8_t _t5_array_iter;

  _t3_array_length = 16;
  flick_mach3mig_array_decode_new_glob(76);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t3_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _t3_array_length; _t5_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t5_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t3_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(76);
}

void flick_marshal_stub_data128(flick_marshal_stream_t _stream, const data128 *_data)
{
  flick_unsigned8_t _t6_array_length;
  flick_unsigned8_t _t8_array_iter;

  _t6_array_length = 32;
  flick_mach3mig_array_encode_new_glob(140);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t6_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t8_array_iter = 0; _t8_array_iter < _t6_array_length; _t8_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t8_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t6_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(140);
}

void flick_unmarshal_stub_data128(flick_marshal_stream_t _stream, data128 *_data)
{
  flick_unsigned8_t _t9_array_length;
  flick_unsigned8_t _t11_array_iter;

  _t9_array_length = 32;
  flick_mach3mig_array_decode_new_glob(140);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t9_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t11_array_iter = 0; _t11_array_iter < _t9_array_length; _t11_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t11_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t9_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(140);
}

void flick_marshal_stub_data256(flick_marshal_stream_t _stream, const data256 *_data)
{
  flick_unsigned8_t _t12_array_length;
  flick_unsigned8_t _t14_array_iter;

  _t12_array_length = 64;
  flick_mach3mig_array_encode_new_glob(268);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t12_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t14_array_iter = 0; _t14_array_iter < _t12_array_length; _t14_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t14_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t12_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(268);
}

void flick_unmarshal_stub_data256(flick_marshal_stream_t _stream, data256 *_data)
{
  flick_unsigned8_t _t15_array_length;
  flick_unsigned8_t _t17_array_iter;

  _t15_array_length = 64;
  flick_mach3mig_array_decode_new_glob(268);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t15_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t17_array_iter = 0; _t17_array_iter < _t15_array_length; _t17_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t17_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t15_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(268);
}

void flick_marshal_stub_data512(flick_marshal_stream_t _stream, const data512 *_data)
{
  flick_unsigned8_t _t18_array_length;
  flick_unsigned8_t _t20_array_iter;

  _t18_array_length = 128;
  flick_mach3mig_array_encode_new_glob(524);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t18_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t20_array_iter = 0; _t20_array_iter < _t18_array_length; _t20_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t20_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t18_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(524);
}

void flick_unmarshal_stub_data512(flick_marshal_stream_t _stream, data512 *_data)
{
  flick_unsigned8_t _t21_array_length;
  flick_unsigned8_t _t23_array_iter;

  _t21_array_length = 128;
  flick_mach3mig_array_decode_new_glob(524);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t21_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t23_array_iter = 0; _t23_array_iter < _t21_array_length; _t23_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t23_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t21_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(524);
}

void flick_marshal_stub_data1K(flick_marshal_stream_t _stream, const data1K *_data)
{
  flick_unsigned16_t _t24_array_length;
  flick_unsigned16_t _t26_array_iter;

  _t24_array_length = 256;
  flick_mach3mig_array_encode_new_glob(1036);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t24_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t26_array_iter = 0; _t26_array_iter < _t24_array_length; _t26_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t26_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t24_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(1036);
}

void flick_unmarshal_stub_data1K(flick_marshal_stream_t _stream, data1K *_data)
{
  flick_unsigned16_t _t27_array_length;
  flick_unsigned16_t _t29_array_iter;

  _t27_array_length = 256;
  flick_mach3mig_array_decode_new_glob(1036);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t27_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t29_array_iter = 0; _t29_array_iter < _t27_array_length; _t29_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t29_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t27_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(1036);
}

void flick_marshal_stub_data2K(flick_marshal_stream_t _stream, const data2K *_data)
{
  flick_unsigned16_t _t30_array_length;
  flick_unsigned16_t _t32_array_iter;

  _t30_array_length = 512;
  flick_mach3mig_array_encode_new_glob(2060);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t30_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t32_array_iter = 0; _t32_array_iter < _t30_array_length; _t32_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t32_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t30_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(2060);
}

void flick_unmarshal_stub_data2K(flick_marshal_stream_t _stream, data2K *_data)
{
  flick_unsigned16_t _t33_array_length;
  flick_unsigned16_t _t35_array_iter;

  _t33_array_length = 512;
  flick_mach3mig_array_decode_new_glob(2060);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t33_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t35_array_iter = 0; _t35_array_iter < _t33_array_length; _t35_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t35_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t33_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(2060);
}

void flick_marshal_stub_data4K(flick_marshal_stream_t _stream, const data4K *_data)
{
  flick_unsigned16_t _t36_array_length;
  flick_unsigned16_t _t38_array_iter;

  _t36_array_length = 1024;
  flick_mach3mig_array_encode_new_glob(4108);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t36_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t38_array_iter = 0; _t38_array_iter < _t36_array_length; _t38_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t38_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t36_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(4108);
}

void flick_unmarshal_stub_data4K(flick_marshal_stream_t _stream, data4K *_data)
{
  flick_unsigned16_t _t39_array_length;
  flick_unsigned16_t _t41_array_iter;

  _t39_array_length = 1024;
  flick_mach3mig_array_decode_new_glob(4108);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t39_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t41_array_iter = 0; _t41_array_iter < _t39_array_length; _t41_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t41_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t39_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(4108);
}

void flick_marshal_stub_data8K(flick_marshal_stream_t _stream, const data8K *_data)
{
  flick_unsigned16_t _t42_array_length;
  flick_unsigned16_t _t44_array_iter;

  _t42_array_length = 2048;
  flick_mach3mig_array_encode_new_glob(8204);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t42_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t44_array_iter = 0; _t44_array_iter < _t42_array_length; _t44_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t44_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t42_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(8204);
}

void flick_unmarshal_stub_data8K(flick_marshal_stream_t _stream, data8K *_data)
{
  flick_unsigned16_t _t45_array_length;
  flick_unsigned16_t _t47_array_iter;

  _t45_array_length = 2048;
  flick_mach3mig_array_decode_new_glob(8204);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t45_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t47_array_iter = 0; _t47_array_iter < _t45_array_length; _t47_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t47_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t45_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(8204);
}

void flick_marshal_stub_data16K(flick_marshal_stream_t _stream, const data16K *_data)
{
  flick_unsigned16_t _t48_array_length;
  flick_unsigned16_t _t50_array_iter;

  _t48_array_length = 4096;
  flick_mach3mig_array_encode_new_glob(16396);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t48_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t50_array_iter = 0; _t50_array_iter < _t48_array_length; _t50_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t50_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t48_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(16396);
}

void flick_unmarshal_stub_data16K(flick_marshal_stream_t _stream, data16K *_data)
{
  flick_unsigned16_t _t51_array_length;
  flick_unsigned16_t _t53_array_iter;

  _t51_array_length = 4096;
  flick_mach3mig_array_decode_new_glob(16396);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t51_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t53_array_iter = 0; _t53_array_iter < _t51_array_length; _t53_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t53_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t51_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(16396);
}

void flick_marshal_stub_data32K(flick_marshal_stream_t _stream, const data32K *_data)
{
  flick_unsigned16_t _t54_array_length;
  flick_unsigned16_t _t56_array_iter;

  _t54_array_length = 8192;
  flick_mach3mig_array_encode_new_glob(32780);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t54_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t56_array_iter = 0; _t56_array_iter < _t54_array_length; _t56_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t56_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t54_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(32780);
}

void flick_unmarshal_stub_data32K(flick_marshal_stream_t _stream, data32K *_data)
{
  flick_unsigned16_t _t57_array_length;
  flick_unsigned16_t _t59_array_iter;

  _t57_array_length = 8192;
  flick_mach3mig_array_decode_new_glob(32780);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t57_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t59_array_iter = 0; _t59_array_iter < _t57_array_length; _t59_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t59_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t57_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(32780);
}

void flick_marshal_stub_data64K(flick_marshal_stream_t _stream, const data64K *_data)
{
  flick_unsigned16_t _t60_array_length;
  flick_unsigned16_t _t62_array_iter;

  _t60_array_length = 16384;
  flick_mach3mig_array_encode_new_glob(65548);
  flick_mach3mig_array_encode_new_chunk(12);
  flick_mach3mig_array_encode_signed32_type(0, _t60_array_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t62_array_iter = 0; _t62_array_iter < _t60_array_length; _t62_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(4);
      flick_mach3mig_array_encode_signed32(0, (*_data)[_t62_array_iter]);
      flick_mach3mig_array_encode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(*_data, sizeof(long) * _t60_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_encode_end_glob(65548);
}

void flick_unmarshal_stub_data64K(flick_marshal_stream_t _stream, data64K *_data)
{
  flick_unsigned16_t _t63_array_length;
  flick_unsigned16_t _t65_array_iter;

  _t63_array_length = 16384;
  flick_mach3mig_array_decode_new_glob(65548);
  flick_mach3mig_array_decode_new_chunk(12);
  flick_mach3mig_array_decode_signed32_type(0, _t63_array_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
  for (_t65_array_iter = 0; _t65_array_iter < _t63_array_length; _t65_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(4);
      flick_mach3mig_array_decode_signed32(0, (*_data)[_t65_array_iter]);
      flick_mach3mig_array_decode_end_chunk(4);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(*_data, sizeof(long) * _t63_array_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_decode_end_glob(65548);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op64_1234(data64 *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t69_array_length;
    flick_unsigned8_t _t71_array_iter;

    flick_mach3mig_encode_new_glob(76);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    _t69_array_length = 16;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t69_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t71_array_iter = 0; _t71_array_iter < _t69_array_length; _t71_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t71_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t69_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(76);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t75_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t75_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t75_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t77_storage;

                _return = &_t77_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op128_1234(data128 *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t81_array_length;
    flick_unsigned8_t _t83_array_iter;

    flick_mach3mig_encode_new_glob(140);
    _stream->msg_buf->Head.msgh_id = 2;
    /* Begin encode phase on parameters */
    _t81_array_length = 32;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t81_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t83_array_iter = 0; _t83_array_iter < _t81_array_length; _t83_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t83_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t81_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(140);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t87_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t87_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t87_switch_tag)
      {
      case (signed int) 1026:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t89_storage;

                _return = &_t89_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op256_1234(data256 *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t93_array_length;
    flick_unsigned8_t _t95_array_iter;

    flick_mach3mig_encode_new_glob(268);
    _stream->msg_buf->Head.msgh_id = 3;
    /* Begin encode phase on parameters */
    _t93_array_length = 64;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t93_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t95_array_iter = 0; _t95_array_iter < _t93_array_length; _t95_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t95_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t93_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(268);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t99_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t99_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t99_switch_tag)
      {
      case (signed int) 1027:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t101_storage;

                _return = &_t101_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op512_1234(data512 *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned8_t _t105_array_length;
    flick_unsigned8_t _t107_array_iter;

    flick_mach3mig_encode_new_glob(524);
    _stream->msg_buf->Head.msgh_id = 4;
    /* Begin encode phase on parameters */
    _t105_array_length = 128;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t105_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t107_array_iter = 0; _t107_array_iter < _t105_array_length; _t107_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t107_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t105_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(524);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t111_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t111_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t111_switch_tag)
      {
      case (signed int) 1028:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t113_storage;

                _return = &_t113_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op1k_1234(data1K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t117_array_length;
    flick_unsigned16_t _t119_array_iter;

    flick_mach3mig_encode_new_glob(1036);
    _stream->msg_buf->Head.msgh_id = 5;
    /* Begin encode phase on parameters */
    _t117_array_length = 256;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t117_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t119_array_iter = 0; _t119_array_iter < _t117_array_length; _t119_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t119_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t117_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(1036);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t123_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t123_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t123_switch_tag)
      {
      case (signed int) 1029:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t125_storage;

                _return = &_t125_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op2k_1234(data2K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t129_array_length;
    flick_unsigned16_t _t131_array_iter;

    flick_mach3mig_encode_new_glob(2060);
    _stream->msg_buf->Head.msgh_id = 6;
    /* Begin encode phase on parameters */
    _t129_array_length = 512;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t129_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t131_array_iter = 0; _t131_array_iter < _t129_array_length; _t131_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t131_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t129_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(2060);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t135_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t135_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t135_switch_tag)
      {
      case (signed int) 1030:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t137_storage;

                _return = &_t137_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op4k_1234(data4K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t141_array_length;
    flick_unsigned16_t _t143_array_iter;

    flick_mach3mig_encode_new_glob(4108);
    _stream->msg_buf->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    _t141_array_length = 1024;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t141_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t143_array_iter = 0; _t143_array_iter < _t141_array_length; _t143_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t143_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t141_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(4108);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t147_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t147_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t147_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t149_storage;

                _return = &_t149_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op8k_1234(data8K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t153_array_length;
    flick_unsigned16_t _t155_array_iter;

    flick_mach3mig_encode_new_glob(8204);
    _stream->msg_buf->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    _t153_array_length = 2048;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t153_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t155_array_iter = 0; _t155_array_iter < _t153_array_length; _t155_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t155_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t153_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(8204);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t159_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t159_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t159_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t161_storage;

                _return = &_t161_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op16k_1234(data16K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t165_array_length;
    flick_unsigned16_t _t167_array_iter;

    flick_mach3mig_encode_new_glob(16396);
    _stream->msg_buf->Head.msgh_id = 9;
    /* Begin encode phase on parameters */
    _t165_array_length = 4096;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t165_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t167_array_iter = 0; _t167_array_iter < _t165_array_length; _t167_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t167_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t165_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(16396);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t171_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t171_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t171_switch_tag)
      {
      case (signed int) 1033:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t173_storage;

                _return = &_t173_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op32k_1234(data32K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t177_array_length;
    flick_unsigned16_t _t179_array_iter;

    flick_mach3mig_encode_new_glob(32780);
    _stream->msg_buf->Head.msgh_id = 10;
    /* Begin encode phase on parameters */
    _t177_array_length = 8192;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t177_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t179_array_iter = 0; _t179_array_iter < _t177_array_length; _t179_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t179_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t177_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(32780);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t183_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t183_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t183_switch_tag)
      {
      case (signed int) 1034:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t185_storage;

                _return = &_t185_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

int *op64k_1234(data64K *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  int *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_unsigned16_t _t189_array_length;
    flick_unsigned16_t _t191_array_iter;

    flick_mach3mig_encode_new_glob(65548);
    _stream->msg_buf->Head.msgh_id = 11;
    /* Begin encode phase on parameters */
    _t189_array_length = 16384;
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, _t189_array_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
#if 0 /* We don't need to ever to bit translation */
    for (_t191_array_iter = 0; _t191_array_iter < _t189_array_length; _t191_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_signed32(0, (*arg)[_t191_array_iter]);
        flick_mach3mig_array_encode_end_chunk(4);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(*arg, sizeof(long) * _t189_array_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_encode_end_glob(65548);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t195_switch_tag;

    flick_mach3mig_decode_new_glob(16);
    _t195_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t195_switch_tag)
      {
      case (signed int) 1035:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static int _t197_storage;

                _return = &_t197_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(16);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

