#include "complex-client.h"

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_mach3mig_encode_string(_data->name, null_flick_free, mach3mig, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_mach3mig_decode_string(_data->name, sun_flick_alloc, mach3mig, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_unsigned32(0, _data->people_len);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_mach3mig_encode_string(_data->people_val[_t1_array_iter].name, null_flick_free, mach3mig, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_unsigned32(0, _data->people_len);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
  for (_t3_array_iter = 0; _t3_array_iter < _data->people_len; _t3_array_iter++)
    {
      flick_mach3mig_decode_string(_data->people_val[_t3_array_iter].name, sun_flick_alloc, mach3mig, 200);
    }
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  void *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t7_array_iter;

    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(8);
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_unsigned32(0, arg->people_len);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
    for (_t7_array_iter = 0; _t7_array_iter < arg->people_len; _t7_array_iter++)
      {
        flick_mach3mig_encode_string(arg->people_val[_t7_array_iter].name, null_flick_free, mach3mig, 200);
      }
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t11_switch_tag;

    flick_mach3mig_decode_new_glob(8);
    _t11_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t11_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static char _t13_storage;

                _return = &_t13_storage;
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(8);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

