#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
  unsigned long int _t1_array_iter;

  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_unsigned8_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(1 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
  unsigned long int _t3_array_iter;

  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(1 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
  unsigned long int _t5_array_iter;

  flick_mach3mig_encode_new_glob(20);
  flick_mach3mig_encode_new_chunk(20);
  flick_mach3mig_encode_unsigned32(0, _data->_length);
  flick_mach3mig_array_encode_unsigned8_type(8, _data->_length * 1, 1, _long_type);
  flick_mach3mig_array_encode_end_chunk(20);
  flick_mach3mig_array_encode_end_glob(20);
  flick_mach3mig_array_encode_new_glob(1 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t5_array_iter = 0; _t5_array_iter < _data->_length; _t5_array_iter++)
    {
      flick_mach3mig_array_encode_new_chunk(1);
      flick_mach3mig_array_encode_unsigned8(0, _data->_buffer[_t5_array_iter]);
      flick_mach3mig_array_encode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_encode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_encode_end_glob(1 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
  unsigned long int _t7_array_iter;

  flick_mach3mig_decode_new_glob(20);
  flick_mach3mig_decode_new_chunk(20);
  flick_mach3mig_decode_unsigned32(0, _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_mach3mig_array_decode_unsigned8_type(8, _data->_length, 1, _long_type);
  flick_mach3mig_array_decode_end_chunk(20);
  flick_mach3mig_array_decode_end_glob(20);
  flick_mach3mig_array_decode_new_glob(1 * _data->_length);
#if 0 /* We don't need to ever to bit translation */
  for (_t7_array_iter = 0; _t7_array_iter < _data->_length; _t7_array_iter++)
    {
      flick_mach3mig_array_decode_new_chunk(1);
      flick_mach3mig_array_decode_unsigned8(0, _data->_buffer[_t7_array_iter]);
      flick_mach3mig_array_decode_end_chunk(1);
    }
#else /* Always do a bcopy*/
  flick_mach3mig_array_decode_bcopy(_data->_buffer, sizeof(char) * _data->_length, mach3mig_array);
#endif /* bcopy? */
  flick_mach3mig_array_decode_end_glob(1 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_mach3mig_encode_new_glob(8);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_port(0, *_data, 1);
  flick_mach3mig_encode_end_chunk(8);
  flick_mach3mig_encode_end_glob(8);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_mach3mig_decode_new_glob(8);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_port(0, *_data, 1);
  flick_mach3mig_decode_end_chunk(8);
  flick_mach3mig_decode_end_glob(8);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  ReferenceData *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 'g');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'i');
    flick_mach3mig_encode_char8(64, 'd');
    flick_mach3mig_encode_char8(72, 0);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t23_switch_tag;

    flick_mach3mig_decode_new_glob(116);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t23_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t23_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t24_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t24_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t24_switch_tag)
            {
            case '$':
              {
                char _t25_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t25_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t25_switch_tag)
                  {
                  case '<':
                    {
                      char _t26_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t26_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t26_switch_tag)
                        {
                        case '_':
                          {
                            char _t27_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t27_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t27_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t28_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t28_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t28_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t29_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t29_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t30_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t30_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t30_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t31_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t31_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t31_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t32_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t32_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t32_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t33_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t33_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t33_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            unsigned long int _t37_array_iter;

                                                                            /* Begin decode phase on parameters */
                                                                            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
                                                                            flick_mach3mig_decode_new_chunk(20);
                                                                            flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                            flick_mach3mig_array_decode_unsigned8_type(8, _return->_length, 1, _long_type);
                                                                            flick_mach3mig_array_decode_end_chunk(20);
                                                                            flick_mach3mig_array_decode_end_glob(116);
                                                                            flick_mach3mig_array_decode_new_glob(1 * _return->_length);
#if 0 /* We don't need to ever to bit translation */
                                                                            for (_t37_array_iter = 0; _t37_array_iter < _return->_length; _t37_array_iter++)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(1);
                                                                                flick_mach3mig_array_decode_unsigned8(0, _return->_buffer[_t37_array_iter]);
                                                                                flick_mach3mig_array_decode_end_chunk(1);
                                                                              }
#else /* Always do a bcopy*/
                                                                            flick_mach3mig_array_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, mach3mig_array);
#endif /* bcopy? */
                                                                            flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(116);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(116);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(116);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(116);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(116);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t41_array_iter;

    flick_mach3mig_encode_new_glob(100);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 9);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'i');
    flick_mach3mig_encode_char8(64, 'd');
    flick_mach3mig_encode_char8(72, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(80, id->_length);
    flick_mach3mig_array_encode_unsigned8_type(88, id->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
    flick_mach3mig_array_encode_end_glob(100);
    flick_mach3mig_array_encode_new_glob(1 * id->_length);
#if 0 /* We don't need to ever to bit translation */
    for (_t41_array_iter = 0; _t41_array_iter < id->_length; _t41_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(1);
        flick_mach3mig_array_encode_unsigned8(0, id->_buffer[_t41_array_iter]);
        flick_mach3mig_array_encode_end_chunk(1);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(id->_buffer, sizeof(char) * id->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_array_encode_end_glob(1 * id->_length);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t52_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t52_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t52_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t53_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t53_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t53_switch_tag)
            {
            case '<':
              {
                char _t54_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t54_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t54_switch_tag)
                  {
                  case '_':
                    {
                      char _t55_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t55_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t55_switch_tag)
                        {
                        case 's':
                          {
                            char _t56_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t56_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t56_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t57_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t57_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t57_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t58_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t58_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t58_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t59_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t59_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t59_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t60_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t60_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t60_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t61_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t61_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(88);
  }
  flick_mach3mig_client_end_decode();
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  OctetSequence *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(96);
    flick_mach3mig_encode_new_chunk(96);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 'g');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'i');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 'f');
    flick_mach3mig_encode_char8(80, 'o');
    flick_mach3mig_encode_char8(88, 0);
    flick_mach3mig_encode_end_chunk(96);
    flick_mach3mig_encode_end_glob(96);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t79_switch_tag;

    flick_mach3mig_decode_new_glob(132);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t79_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t79_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t80_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t80_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t80_switch_tag)
            {
            case '$':
              {
                char _t81_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t81_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t81_switch_tag)
                  {
                  case '<':
                    {
                      char _t82_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t82_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t82_switch_tag)
                        {
                        case '_':
                          {
                            char _t83_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t83_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t83_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t84_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t84_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t84_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t85_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t85_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t85_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t86_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t86_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t86_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t87_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t87_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t87_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t88_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t88_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t88_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t89_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t89_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t89_switch_tag)
                                                                  {
                                                                  case 'f':
                                                                    {
                                                                      char _t90_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t90_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t90_switch_tag)
                                                                        {
                                                                        case 'o':
                                                                          {
                                                                            char _t91_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t91_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_t91_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        unsigned long int _t95_array_iter;

                                                                                        /* Begin decode phase on parameters */
                                                                                        _return = CORBA_flick_alloc(sizeof(OctetSequence ));
                                                                                        flick_mach3mig_decode_new_chunk(20);
                                                                                        flick_mach3mig_decode_unsigned32(0, _return->_length);
                                                                                        _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                                        flick_mach3mig_array_decode_unsigned8_type(8, _return->_length, 1, _long_type);
                                                                                        flick_mach3mig_array_decode_end_chunk(20);
                                                                                        flick_mach3mig_array_decode_end_glob(132);
                                                                                        flick_mach3mig_array_decode_new_glob(1 * _return->_length);
#if 0 /* We don't need to ever to bit translation */
                                                                                        for (_t95_array_iter = 0; _t95_array_iter < _return->_length; _t95_array_iter++)
                                                                                          {
                                                                                            flick_mach3mig_array_decode_new_chunk(1);
                                                                                            flick_mach3mig_array_decode_unsigned8(0, _return->_buffer[_t95_array_iter]);
                                                                                            flick_mach3mig_array_decode_end_chunk(1);
                                                                                          }
#else /* Always do a bcopy*/
                                                                                        flick_mach3mig_array_decode_bcopy(_return->_buffer, sizeof(char) * _return->_length, mach3mig_array);
#endif /* bcopy? */
                                                                                        flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(132);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(132);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(132);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(132);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(132);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(132);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(132);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(132);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    unsigned long int _t99_array_iter;

    flick_mach3mig_encode_new_glob(116);
    flick_mach3mig_encode_new_chunk(116);
    flick_mach3mig_encode_unsigned32(0, 11);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, '_');
    flick_mach3mig_encode_char8(24, 's');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, '_');
    flick_mach3mig_encode_char8(56, 'i');
    flick_mach3mig_encode_char8(64, 'n');
    flick_mach3mig_encode_char8(72, 'f');
    flick_mach3mig_encode_char8(80, 'o');
    flick_mach3mig_encode_char8(88, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(96, info->_length);
    flick_mach3mig_array_encode_unsigned8_type(104, info->_length * 1, 1, _long_type);
    flick_mach3mig_array_encode_end_chunk(116);
    flick_mach3mig_array_encode_end_glob(116);
    flick_mach3mig_array_encode_new_glob(1 * info->_length);
#if 0 /* We don't need to ever to bit translation */
    for (_t99_array_iter = 0; _t99_array_iter < info->_length; _t99_array_iter++)
      {
        flick_mach3mig_array_encode_new_chunk(1);
        flick_mach3mig_array_encode_unsigned8(0, info->_buffer[_t99_array_iter]);
        flick_mach3mig_array_encode_end_chunk(1);
      }
#else /* Always do a bcopy*/
    flick_mach3mig_array_encode_bcopy(info->_buffer, sizeof(char) * info->_length, mach3mig_array);
#endif /* bcopy? */
    flick_mach3mig_array_encode_end_glob(1 * info->_length);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t112_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t112_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch (_t112_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t113_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t113_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch (_t113_switch_tag)
            {
            case '<':
              {
                char _t114_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t114_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch (_t114_switch_tag)
                  {
                  case '_':
                    {
                      char _t115_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t115_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch (_t115_switch_tag)
                        {
                        case 's':
                          {
                            char _t116_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t116_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch (_t116_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t117_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t117_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_t117_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t118_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t118_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_t118_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t119_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t119_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_t119_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t120_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t120_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_t120_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t121_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t121_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_t121_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t122_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t122_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_t122_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t123_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t123_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_t123_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_corba_decode_system_exception((_ev->_except), mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(104);
  }
  flick_mach3mig_client_end_decode();
}

