#include "union-3-client.h"

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_mach3mig_encode_new_glob(16);
  flick_mach3mig_encode_new_chunk(8);
  flick_mach3mig_encode_signed32(0, _data->discriminator);
  flick_mach3mig_encode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->foo_u.one);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_signed32(0, _data->foo_u.two);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        flick_mach3mig_encode_new_chunk(8);
        flick_mach3mig_encode_char8(0, _data->foo_u.def);
        flick_mach3mig_encode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_encode_end_glob(16);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_mach3mig_decode_new_glob(16);
  flick_mach3mig_decode_new_chunk(8);
  flick_mach3mig_decode_signed32(0, _data->discriminator);
  flick_mach3mig_decode_end_chunk(8);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->foo_u.one);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 2:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_signed32(0, _data->foo_u.two);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        flick_mach3mig_decode_new_chunk(8);
        flick_mach3mig_decode_char8(0, _data->foo_u.def);
        flick_mach3mig_decode_end_chunk(8);
        break;
      }
    }
  flick_mach3mig_decode_end_glob(16);
}

#include <flick/link/mach3mig.h>
#include <flick/encode/mach3mig.h>

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  kern_return_t _err;
  struct foo *_return = 0;
  flick_mach3mig_client_start_encode();
  {
    flick_mach3mig_client_encode_target(_obj, 0, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(16);
    _stream->msg_buf->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, arg->discriminator);
    flick_mach3mig_encode_end_chunk(8);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, arg->foo_u.one);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 2:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_signed32(0, arg->foo_u.two);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      case 3:
        {
          break;
        }
      default:
        {
          flick_mach3mig_encode_new_chunk(8);
          flick_mach3mig_encode_char8(0, arg->foo_u.def);
          flick_mach3mig_encode_end_chunk(8);
          break;
        }
      }
    flick_mach3mig_encode_end_glob(16);
  }
  flick_mach3mig_client_end_encode();
  flick_mach3mig_rpc_macro(0);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    flick_mach3mig_decode_new_glob(24);
    _t3_switch_tag = _stream->msg_buf->Head.msgh_id;
    switch (_t3_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_signed32(0, flick_errno);
          flick_mach3mig_decode_end_chunk(8);
          switch (flick_errno)
            {
            case 0:
              {
                static struct foo _t5_storage;

                _return = &_t5_storage;
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, _return->discriminator);
                flick_mach3mig_decode_end_chunk(8);
                switch (_return->discriminator)
                  {
                  case 1:
                    {
                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_signed32(0, _return->foo_u.one);
                      flick_mach3mig_decode_end_chunk(8);
                      break;
                    }
                  case 2:
                    {
                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_signed32(0, _return->foo_u.two);
                      flick_mach3mig_decode_end_chunk(8);
                      break;
                    }
                  case 3:
                    {
                      break;
                    }
                  default:
                    {
                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _return->foo_u.def);
                      flick_mach3mig_decode_end_chunk(8);
                      break;
                    }
                  }
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(_return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
    flick_mach3mig_decode_end_glob(24);
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

