#include "complex-client.h"

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_xdr_encode_string(_data->name, null_flick_free, suntcp, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_xdr_decode_string(_data->name, sun_flick_alloc, suntcp, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned long int _t1_array_iter;

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->people_len);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_xdr_encode_string(_data->people_val[_t1_array_iter].name, null_flick_free, suntcp, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned long int _t3_array_iter;

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->people_len);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->people_len; _t3_array_iter++)
    {
      flick_xdr_decode_string(_data->people_val[_t3_array_iter].name, sun_flick_alloc, suntcp, 200);
    }
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

void *op_2(people *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  void *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    unsigned long int _t7_array_iter;

    flick_suntcp_encode_new_glob(24);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_unsigned32(20, arg->people_len);
    flick_suntcp_encode_end_chunk(24);
    flick_suntcp_encode_end_glob(24);
    for (_t7_array_iter = 0; _t7_array_iter < arg->people_len; _t7_array_iter++)
      {
        flick_xdr_encode_string(arg->people_val[_t7_array_iter].name, null_flick_free, suntcp, 200);
      }
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t9_storage;

            _return = &_t9_storage;
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(4);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

