#include "union-4-client.h"

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->discriminator);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->foo_u.one);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->foo_u.two);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        break;
      }
    }
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->discriminator);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->foo_u.one);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->foo_u.two);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    default:
      {
        break;
      }
    }
  flick_suntcp_decode_end_glob(8);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  FLICK_BUFFER *_stream;
  struct foo *_return;
  _return = 0;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(28);
    flick_suntcp_encode_new_chunk(24);
    flick_xdr_encode_unsigned32(0, 1);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(4, (unsigned int) 0);
    flick_xdr_encode_unsigned32(8, (unsigned int) 0);
    flick_xdr_encode_unsigned32(12, (unsigned int) 0);
    flick_xdr_encode_unsigned32(16, (unsigned int) 0);
    flick_xdr_encode_signed32(20, arg->discriminator);
    flick_suntcp_encode_end_chunk(24);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, arg->foo_u.one);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, arg->foo_u.two);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 3:
        {
          break;
        }
      default:
        {
          break;
        }
      }
    flick_suntcp_encode_end_glob(28);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(12);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_suntcp_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static struct foo _t1_storage;

            _return = &_t1_storage;
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_signed32(0, _return->discriminator);
            flick_suntcp_decode_end_chunk(4);
            switch (_return->discriminator)
              {
              case 1:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return->foo_u.one);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return->foo_u.two);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              case 3:
                {
                  break;
                }
              default:
                {
                  break;
                }
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, suntcp);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(12);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

