#include "union-client.h"

void flick_marshal_stub_Bar(flick_marshal_stream_t _stream, const struct Bar *_data)
{
  flick_suntcp_encode_new_glob(8);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->b1);
  flick_xdr_encode_char8(4, _data->b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
}

void flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->b1);
  flick_xdr_decode_char8(4, _data->b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
}

void flick_marshal_stub_Foo(flick_marshal_stream_t _stream, const struct Foo *_data)
{
  flick_suntcp_encode_new_glob(12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, _data->_u.y.b1);
        flick_xdr_encode_char8(4, _data->_u.y.b2);
        flick_suntcp_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->_u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_end_glob(12);
}

void flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(8);
        flick_xdr_decode_signed32(0, _data->_u.y.b1);
        flick_xdr_decode_char8(4, _data->_u.y.b2);
        flick_suntcp_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->_u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_end_glob(12);
}

void flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, const struct Foo2 *_data)
{
  flick_suntcp_encode_new_glob(16);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->_d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->_u.y._d);
        flick_suntcp_encode_end_chunk(4);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, _data->_u.y._u.x);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_encode_new_chunk(8);
              flick_xdr_encode_signed32(0, _data->_u.y._u.y.b1);
              flick_xdr_encode_char8(4, _data->_u.y._u.y.b2);
              flick_suntcp_encode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_char8(0, _data->_u.y._u.z);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_end_glob(16);
}

void flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->_d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->_u.y._d);
        flick_suntcp_decode_end_chunk(4);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_signed32(0, _data->_u.y._u.x);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_decode_new_chunk(8);
              flick_xdr_decode_signed32(0, _data->_u.y._u.y.b1);
              flick_xdr_decode_char8(4, _data->_u.y._u.y.b2);
              flick_suntcp_decode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_char8(0, _data->_u.y._u.z);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_end_glob(16);
}

void flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, const struct a_astruct *_data)
{
  flick_suntcp_encode_new_glob(36);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->a1._d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a1._u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a1._u.y._d);
        flick_suntcp_encode_end_chunk(4);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_signed32(0, _data->a1._u.y._u.x);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_encode_new_chunk(8);
              flick_xdr_encode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_xdr_encode_char8(4, _data->a1._u.y._u.y.b2);
              flick_suntcp_encode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_encode_new_chunk(4);
              flick_xdr_encode_char8(0, _data->a1._u.y._u.z);
              flick_suntcp_encode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_encode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->a2._d);
  flick_suntcp_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, _data->a2._u.x);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_encode_new_chunk(8);
        flick_xdr_encode_signed32(0, _data->a2._u.y.b1);
        flick_xdr_encode_char8(4, _data->a2._u.y.b2);
        flick_suntcp_encode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_char8(0, _data->a2._u.z);
        flick_suntcp_encode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->a3.b1);
  flick_xdr_encode_char8(4, _data->a3.b2);
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(36);
}

void flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  flick_suntcp_decode_new_glob(36);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->a1._d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a1._u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 'b':
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a1._u.y._d);
        flick_suntcp_decode_end_chunk(4);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_signed32(0, _data->a1._u.y._u.x);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_suntcp_decode_new_chunk(8);
              flick_xdr_decode_signed32(0, _data->a1._u.y._u.y.b1);
              flick_xdr_decode_char8(4, _data->a1._u.y._u.y.b2);
              flick_suntcp_decode_end_chunk(8);
              break;
            }
          default:
            {
              flick_suntcp_decode_new_chunk(4);
              flick_xdr_decode_char8(0, _data->a1._u.y._u.z);
              flick_suntcp_decode_end_chunk(4);
              break;
            }
          }
        break;
      }
    default:
      {
        flick_corba_decode_mu_error(, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
        break;
      }
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->a2._d);
  flick_suntcp_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_signed32(0, _data->a2._u.x);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_suntcp_decode_new_chunk(8);
        flick_xdr_decode_signed32(0, _data->a2._u.y.b1);
        flick_xdr_decode_char8(4, _data->a2._u.y.b2);
        flick_suntcp_decode_end_chunk(8);
        break;
      }
    default:
      {
        flick_suntcp_decode_new_chunk(4);
        flick_xdr_decode_char8(0, _data->a2._u.z);
        flick_suntcp_decode_end_chunk(4);
        break;
      }
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->a3.b1);
  flick_xdr_decode_char8(4, _data->a3.b2);
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(36);
}

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 1);
  flick_suntcp_mark_port_for_cleanup(*_data, 1);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

struct Foo2 a_opA(a _obj, struct a_astruct *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct Foo2 _return;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(72);
    flick_suntcp_encode_new_chunk(40);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'o');
    flick_xdr_encode_char8(8, 'p');
    flick_xdr_encode_char8(12, 'A');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_char8(36, b->a1._d);
    flick_suntcp_encode_end_chunk(40);
    switch (b->a1._d)
      {
      case 'a':
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, b->a1._u.x);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 'b':
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, b->a1._u.y._d);
          flick_suntcp_encode_end_chunk(4);
          switch (b->a1._u.y._d)
            {
            case 1:
              {
                flick_suntcp_encode_new_chunk(4);
                flick_xdr_encode_signed32(0, b->a1._u.y._u.x);
                flick_suntcp_encode_end_chunk(4);
                break;
              }
            case 2:
              {
                flick_suntcp_encode_new_chunk(8);
                flick_xdr_encode_signed32(0, b->a1._u.y._u.y.b1);
                flick_xdr_encode_char8(4, b->a1._u.y._u.y.b2);
                flick_suntcp_encode_end_chunk(8);
                break;
              }
            default:
              {
                flick_suntcp_encode_new_chunk(4);
                flick_xdr_encode_char8(0, b->a1._u.y._u.z);
                flick_suntcp_encode_end_chunk(4);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_encode_client_error(_return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
          break;
        }
      }
    flick_suntcp_encode_new_chunk(4);
    flick_xdr_encode_signed32(0, b->a2._d);
    flick_suntcp_encode_end_chunk(4);
    switch (b->a2._d)
      {
      case 1:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_signed32(0, b->a2._u.x);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      case 2:
        {
          flick_suntcp_encode_new_chunk(8);
          flick_xdr_encode_signed32(0, b->a2._u.y.b1);
          flick_xdr_encode_char8(4, b->a2._u.y.b2);
          flick_suntcp_encode_end_chunk(8);
          break;
        }
      default:
        {
          flick_suntcp_encode_new_chunk(4);
          flick_xdr_encode_char8(0, b->a2._u.z);
          flick_suntcp_encode_end_chunk(4);
          break;
        }
      }
    flick_suntcp_encode_new_chunk(8);
    flick_xdr_encode_signed32(0, b->a3.b1);
    flick_xdr_encode_char8(4, b->a3.b2);
    flick_suntcp_encode_end_chunk(8);
    flick_suntcp_encode_end_glob(72);
  }
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    return _return;
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(20);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_char8(0, _return._d);
            flick_suntcp_decode_end_chunk(4);
            switch (_return._d)
              {
              case 'a':
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return._u.x);
                  flick_suntcp_decode_end_chunk(4);
                  break;
                }
              case 'b':
                {
                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_signed32(0, _return._u.y._d);
                  flick_suntcp_decode_end_chunk(4);
                  switch (_return._u.y._d)
                    {
                    case 1:
                      {
                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_signed32(0, _return._u.y._u.x);
                        flick_suntcp_decode_end_chunk(4);
                        break;
                      }
                    case 2:
                      {
                        flick_suntcp_decode_new_chunk(8);
                        flick_xdr_decode_signed32(0, _return._u.y._u.y.b1);
                        flick_xdr_decode_char8(4, _return._u.y._u.y.b2);
                        flick_suntcp_decode_end_chunk(8);
                        break;
                      }
                    default:
                      {
                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _return._u.y._u.z);
                        flick_suntcp_decode_end_chunk(4);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(_return, FLICK_ERROR_STRUCT_UNION, xdr, suntcp);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception((_ev->_except), xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(_return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
          }
        }
      flick_suntcp_decode_end_glob(20);
    }
  flick_suntcp_client_end_decode();
  return _return;
}

